com.eloview.homesdk.systemManager

## Class System

- java.lang.Object
- - com.eloview.homesdk.consts.Consts
  - - com.eloview.homesdk.accountManager.AccountManager
    - - com.eloview.homesdk.systemManager.System

- All Implemented Interfaces:
    java.lang.Cloneable

      public class System
      extends AccountManager

  System class provides below operations.
  - Get an auth token using `getEloAccessToken`.
  - Capture the device screenshot using `captureScreenShot`.
  - Set Device orientation in portrait, landscape, reverse-portrait or reverse-landscape using `setOrientation`.
  - Get Device orientation. For e.g. portrait, landscape using `getOrientation`.
  - Factory reset device without any user interaction. It deletes the user data partition using `factoryReset`.
  - Reboot the device silently using `silentReboot`.
  - Enable/Disable NavigationBar in Standard AndroidMode using `setNavigationBar`.
  - Enable/Disable StatusBar in Standard AndroidMode using `setStatusBar`.
  - Allow all runtime permissions so application does not pop up permission dialog using `grantAllAppPermission`.
  - Get property status of NavigationBar using `getNavigationBar`.
  - Get property status of StatusBar using `getStatusBar`.
  - Get property status of GrantAllAppPermission using `getGrantAllAppPermission`.
  - Set BackLightTimeOut property using `setBacklightTimeOut`.
  - Get property status of BackLightTimeOut using `getBacklightTimeOut`.
  - Set System Password Lock using `setLockScreenPassword`.
  - Change System Password Lock using `changeLockScreenPassword`.
  - Auto grant runtime USB permissions in Android Home Mode using `autoallowUSBPermission`
  - Lock or unlock the secure processor firmware on M60/M60C devices using `changeFirmwareStatus`
  - APIs to set/change the device pin using `setLockScreenPin` and `changeLockScreenPin`
  - A method to toggle the WiFi state using `changeWifiState` and get the current WiFi state using `getWifiState`
  - A method to clear user applications cache and userdata using `clearAllAppCacheUserData` and `clearAppCacheUserData`
  - APIs to enable ADB using `enableAdb`, disable ADB using `disableAdb` and to set custom ports for ADB using `customePortAdb`
  - Enable/Disable Home button on the device using `enableHomeButton` and `disableHomeButton`
  - Enable/Disable Power button on the device using `enablePowerButton` and `disablePowerButton`
  - Enable/Disable Text Editor assist menu using `enableTextEditorAssistMenu` and `disableTextEditorAssistMenu`
  - Enable/Disable the 'show more' options on the volume panel `enableVPShowMore` and `disableVPShowMore`
  - Enable/Disable Zebra Barcode scanner using `enableBCR`
  - Perform a scan using zebra Barcode scanner `scanBCR`
  - Enable/disable Elo Logging feature using `enableEloLogging`
  - Enable/Disable random WiFi MAC address using `enableRandomWifiMacAddress`
  - Enable/Disable Star Printer access from WebView via JavaScript interface `enableStartPrinter) enableStarPrinter`
  - check if auto allowing USB permissions is enabled or disabled using `getAutoAllowUSBPermission`
  - Set the device owner using `setDeviceOwner`, remove the device owner using `removeDeviceOwner(Context, String)` removeDeviceOwner}, and get the device owner status using `getDeviceOwnerStatus(Context, String, Handler)` getDeviceOwnerStatus}
  - Set/get the Display DPI using `setDPI` and `getDPI`
  - Set and get the current language on the device using `setLanguage` and `getLanguage`
  - Set and get the type of lock on the device `setLockType` and `getLockType`
  - Set and get the status of Multi Client IME using `setMultiClientIME` and `getMultiClientIME`
  - Set/get the NTP server URL using `setNtpServerURL` and `getNtpServerURL`
  - Set/get the NTP poll interval using `setNTPPollInterval` and `getNTPPollInterval`
  - Enable/Disable install permissions to specific apps using `installSpecificAppPerm` or to all apps using `installAllAppPermission`
  - Check which apps have install permissions using `getPermToSpecificApps`
  - Set/get the display resolution using `setScreenSize` and `getScreenSize`
  - Set/get the smallest pixel width as shown in developer options `setSmallestPixelWidth` and `getSmallestPixelWidth`
  - Set/get the Timezone using `setTimeZone` and `getTimeZone`
  - Enable/Disable accessibility services using `setAccessibilityService`
  - Enable/Disable auto Date and time using `setAutoDateTime`
  - Enable/Disable Bluetooth device pairing confirmation dialog for spaecific devices using `setBluetoothDevicePairingConfirmation`
  - Set the Date and Time on the device using `setDateTime`
  - Set Display size (Default/Large/Larger/Largest) using `setDisplaySize`
  - Set Wi-Fi network configuration using a CSV file `setEloNetworkConf`
  - Set Font size using `setFontSize`
  - Enable/Disable Idle mode using `setIdleMode`
  - Set Location of the device using `setLocation`
  - Mute/Un-mute microphone using `setMicrophoneMute`
  - Enable/Disable showing the password while typing it in using `setPasswordStat`
  - Enable/Disable Google Playprotect using `setPlayProtect`
  - Set/Get the reserved log space on the device using `setReservedLogSpace` and `getReservedLogSpace`
  - Set the time format on the device using `setTimeFormat`
  - Enable/Disable the touch sound on the device using `setTouchSound`
  - Set volume level for various volume types such as Alarm, Call, Media, Notification using `setVolumeLevel`
  - Enable/Disable the 'share' option when text is selected on the device using `showTextEditorShareMenu`
  - Shutdown the device using `silentShutDown`
  - Set the default launcher on the device using `silentSetDefaultLauncher`
  - Lock/unlock the secure processor firmware using `changeFirmwareStatus`, get the status using `getSpFirmwareStatus` and upgrade the firmware using `spFirmwareUpgrade`
  - show notification and start activity from Foreground service using `startActivityFromForegroundService`
  - Toggle the dark mode on the device using `toggleDarkMode`
  - Schedule device screen to wake up after a delay using `setScreenWakeUp`
  - Wake-up the device screen if it is asleep using `wakeupScreen`
  - Unregister the Broadcast receiver registered while using the System APIs using `unregisterSystemAPIListener`
  - Query device SystemProperty using `getSystemProperty`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACTION_BLUETOOTH_ENABLE_DISABLE`
    `static java.lang.String` | `ACTION_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE`
    `static java.lang.String` | `ACTION_FILE_SIGNING_AND_INTEGRITY_CHECK`
    `static java.lang.String` | `ACTION_GET_STICKY_BOOT_MODE`
    `static java.lang.String` | `ACTION_MAGNIFYING_MODE_ENABLE_DISABLE`
    `static java.lang.String` | `ACTION_SCHEDULE_SCREEN_TURN_ON`
    `static java.lang.String` | `ACTION_SCREEN_LOCKING_SOUND_ENABLE_DISABLE`
    `static java.lang.String` | `ACTION_SET_AUDIO_DEVICE`
    `static java.lang.String` | `ACTION_SHOWTAPS_ENABLE_DISABLE`
    `static java.lang.String` | `ACTION_STICKY_BOOT_MODE`
    `static int` | `AUDIO_STATE_CODE`
    `static int` | `AUTO_IDLE_CODE` Response for Set Auto Idle mode
    `static int` | `AUTO_USB_PERMISSION_CODE` Response for set auto USB permissions
    `static int` | `BACKLIGHT_TIMEOUT` Currently set backlight timeout received from system
    `static int` | `BLUETOOTH_SCANNING_CODE`
    `static int` | `BLUETOOTH_STATE_CODE` Response code for Enable/Disable Bluetooth API
    `static int` | `CAPTURE_RESULT_CODE` Response code to retrieve path of the captured screenshot.
    `static int` | `CFD_DPI_CODE`
    `static int` | `CHANGE_WIFI_STATE_RESULT_CODE` Response code to indicate whether wifi state change successfully or not
    `static int` | `CHARGING_SOUND_AND_VIBRATION_CODE`
    `static int` | `CLEAR_APP_CACHE_USERDATA_CODE` Response for clearing app cache and user data
    `static int` | `CUSTOM_PORT_ADB` Response to Set Custom Adb Tcp Port
    `static int` | `DEVICE_OWNER_STATUS` Device owner setting status code in handler msg
    `static int` | `DISABLE_ADB` Response to Disabling Adb
    `static int` | `DISABLE_RECENT_BUTTON`
    `static int` | `DPI_CODE` Response to Get/Set DPI
    `static int` | `EDITOR_SHOW_OPTION_CODE` Response code to indicate whether Enabling/Disabling Text share options was successful or not
    `static int` | `ENABLE_ADB` Response to enabling Adb
    `static int` | `ENABLE_IDLE_MODE_TILE_CODE`
    `static int` | `ENABLE_RECENT_BUTTON`
    `static int` | `ENABLE_STAR_HARDWARE_INTERFACE_CODE` Response code for Enabling/Disabling Star hardware access from WebView via JavaScript Interface
    `static int` | `ERROR_DEVICE_OWNER_STATUS` Device owner setting error code in handler msg
    `static int` | `FILE_SIGNING_AND_INTEGRITY_CHECK_CODE`
    `static int` | `FIRMWARE_STATUS_UPGRADE`
    `static int` | `GET_AUTOIDLEMODE_STATUS`
    `static int` | `GET_CHARGING_SOUND_AND_VIBRATION_CODE`
    `static int` | `GET_FIRMWARE_STATUS`
    `static int` | `GET_GRANT_PERMISSION_RESULT_CODE` Response code provide current value of the GrantAllAppPermission.
    `static int` | `GET_HOSTNAME_ADDRESS` Response to Get HOSTNAME
    `static int` | `GET_INSTALL_SPECIFIC_APP_PERMISSION_CODE` Response to Get Install Specific App Permission
    `static int` | `GET_LOCK_TYPE_CODE` Response code to get lockscreen type
    `static int` | `GET_MULTI_CLIENT_IME_RESULT_CODE` Response code for getting the multi-client IME status
    `static int` | `GET_NAVIGATION_BAR_RESULT_CODE` Response code provide current status of the NavigationBar.
    `static int` | `GET_ORIENTATION_RESULT_CODE` Response code to retrieve current orientation of the device.
    `static int` | `GET_PLAYPROTECT_RESULT_CODE` Response code provide current status of the playprotect.
    `static int` | `GET_RESERVED_LOG_SPACE_RESULT_CODE` Response code to retrieve current reserved log space on the device
    `static int` | `GET_SCREEN_LOCKING_SOUND_CODE`
    `static int` | `GET_STATUS_BAR_RESULT_CODE` Response code provide current status of the StatusBar.
    `static int` | `GET_SYSTEM_PROPERTY_CODE`
    `static int` | `GET_TOUCH_SOUND_STATUS`
    `static int` | `GET_WIFI_MAC_ADDRESS` Response to Get MAC
    `static int` | `HOME_BUTTON_RESPONSE_CODE` Response code to indicate whether Enabling/Disabling Home button was successful or not
    `static int` | `HOTSPOT_STATE_CODE`
    `static int` | `IME_STATE_CODE`
    `static System` | `instance`
    `static int` | `LOCALE_CODE`
    `static int` | `MAGNIFYING_MODE_STATUS`
    `static int` | `NOTIFICATIONS_STATUS`
    `static int` | `NTP_POLL_INTERVAL_CODE`
    `static int` | `NTP_SERVER_TIME_CODE` Response code to Get/Set NTP_SERVER_TIME
    `static int` | `PASSWORD_LOCK_CODE` Response code provide the system password applied
    `static int` | `PIN_LOCK_CODE` Response code provide the system pin applied
    `static int` | `POWER_BUTTON_RESPONSE_CODE` Response code to indicate whether Enabling/Disabling Power button was successful or not
    `static int` | `RECEIVE_KEY_EVENT`
    `static int` | `REGISTER_KEY_EVENT_LISTENER_RESULT_CODE`
    `static java.lang.String` | `RESPONSE_BLUETOOTH_ENABLE_DISABLE`
    `static java.lang.String` | `RESPONSE_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE`
    `static java.lang.String` | `RESPONSE_DISABLE_RECENT_BUTTON`
    `static java.lang.String` | `RESPONSE_ENABLE_RECENT_BUTTON`
    `static java.lang.String` | `RESPONSE_FILE_SIGNING_AND_INTEGRITY_CHECK`
    `static java.lang.String` | `RESPONSE_MAGNIFYING_MODE_ENABLE_DISABLE`
    `static java.lang.String` | `RESPONSE_SCREEN_LOCKING_SOUND_ENABLE_DISABLE`
    `static java.lang.String` | `RESPONSE_SET_LOCATION`
    `static java.lang.String` | `RESPONSE_SHOWTAPS_ENABLE_DISABLE`
    `static java.lang.String` | `RESPONSE_STICKY_BOOT_MODE`
    `static int` | `SCREEN_LOCKING_SOUND_CODE`
    `static int` | `SCREEN_WAKE_UP` Response code for Setting Screen Wake-up
    `static int` | `SET_ACCESSIBILITY_SERVICE_RESULT_CODE`
    `static int` | `SET_APPMODE`
    `static int` | `SET_BCR_STATUS` Response code for setting Barcode scanner status
    `static int` | `SET_BLUETOOTH_PAIRING_CONFIRMATION_RESULT_CODE` Response to Set Bluetooth Device Pairing Confirmation
    `static int` | `SET_COPY_PASTE_MODE_RESULT_CODE`
    `static int` | `SET_DARK_THEME_RESULT_CODE`
    `static int` | `SET_DATE_TIME` Response code for setting Date and Time
    `static int` | `SET_DISPLAY_RESOLUTION_CODE` Response code for setting display resolution
    `static int` | `SET_DISPLAY_SIZE_CODE` Response code for setting display size
    `static int` | `SET_FIRMWARE_STATUS`
    `static int` | `SET_FONT_SIZE_CODE` Response code to set font size
    `static int` | `SET_GRANT_PERMISSION_RESULT_CODE` Response code provide response message whether GrantAllAppPermission property changed successfully or not.
    `static int` | `SET_HOSTNAME` Response to Set HOSTNAME
    `static int` | `SET_INSTALL_ALL_APP_PERMISSION_CODE` Response to Set Install All App Permission
    `static int` | `SET_INSTALL_SPECIFIC_APP_PERMISSION_CODE` Response to Set Install Specific App Permission
    `static int` | `SET_LOCATION_RESULT_CODE` Response code for setting location
    `static int` | `SET_LOGS_ENABLE_OR_DISBLE_CODE` Response to Set Logs Enability
    `static int` | `SET_MICROPHONE_MUTE_CODE` Response code to mute/unmute microphone
    `static int` | `SET_MULTI_CLIENT_IME_RESULT_CODE` Response code for setting the mult-client IME.
    `static int` | `SET_NAVIGATION_BAR_RESULT_CODE` Response code provide response message whether NavigationBar property changed successfully or not.
    `static int` | `SET_ORIENTATION_RESULT_CODE` Response code indicating whether the orientation was changed successfully or not.
    `static int` | `SET_PASSWORD_STAT`
    `static int` | `SET_PLAYPROTECT_RESULT_CODE` Response code provide response message whether playprotect property changed successfully or not.
    `static int` | `SET_RANDOMIZED_WIFI_MAC` Response to Set MAC
    `static int` | `SET_RESERVED_LOG_SPACE_RESULT_CODE` Response code to indicate whether Reserved Log Space was set successfully or not
    `static int` | `SET_SCAN_STATUS` Response code for setting scan status
    `static int` | `SET_SILENT_SHUTDOWN_RESULT_CODE`
    `static int` | `SET_STATUS_BAR_RESULT_CODE` Response code provide response message whether StatusBar property changed successfully or not.
    `static int` | `SET_TOUCH_SOUND_CODE` Response for set touch sound
    `static int` | `SET_VIRTUAL_KEYBOARD_RESULT_CODE`
    `static int` | `SET_VOLUME_CONTROL_CODE` Response for set volume control
    `static int` | `SET_WEBVIEW_INTERFACE_CODE` Response code to indicate whether Enabling/Disabling WebView hardware access was successful or not
    `static int` | `SHOW_USB_INFO_CODE`
    `static int` | `SHOWTAPS_STATE_CODE`
    `static int` | `SILENT_SET_DEFAULT_LAUNCHER_CODE` Response for silent set default launcher
    `static int` | `SILENT_SHUTDOWN_CODE` Response for silent shutdown
    `static int` | `SMALLEST_PIXEL_WIDTH_CODE` Response for set/get smallest pixel width
    `static int` | `STATUSBAR_SWIPE_LOCK`
    `static int` | `STICKY_BOOT_CODE`
    `static int` | `TEXT_EDIT_ASSIST_MENU` Response code to indicate whether Enabling/Disabling Text Editor Assist Menu was successful or not
    `static int` | `TIMEZONE_CODE` Response code for Getting/Setting Timezone
    `static java.lang.String` | `USBINFO`
    `static int` | `VP_SHOW_MORE_RESPONSE_CODE` Response code to indicate whether Enabling/Disabling show more property was successful or not
    `static int` | `WIFI_SCANNING_CODE`

    - ### Fields inherited from class com.eloview.homesdk.accountManager.AccountManager

      `ACCESS_TOKEN_INVALID, ACCESS_TOKEN_VALID, API_ACCESS_TOKEN_INVALID, API_ACCESS_TOKEN_VALID, IS_USER_LOGIN_OAUTH, isPolaris, KEY_SERVER_ELO_POLARIS_DEV, KEY_SERVER_PRODUCTION_POLARIS, KEY_SERVER_QA_POLARIS, KEY_SERVER_STAGING_POLARIS, OAUTH_TOKEN_INVALID, OAUTH_TOKEN_VALID, REQUEST_AUTH_LOGIN, REQUEST_AUTH_LOGOUT, SETUP_OAUTH_ERROR, SETUP_OAUTH_SUCCESS, TOKEN_VERIFY_FAIL, TOKEN_VERIFY_SUCCESS`

    - ### Fields inherited from class com.eloview.homesdk.consts.Consts

      `ACTION_SET_EST_REQUEST, ELO_FOLDER, ELO_NETWORK_CONF_CSV_FILE, ELO_WIFI_CONFIG_FOLDER, GENERIC_ERROR, isFROM, OAUTH_PATH_TOKEN, OAUTH_PATH_VERIFY, REQUEST_TOKEN, STR_CUSTOM_ANIM_IMAGE_FILE, STR_CUSTOM_ANIM_VIDEO_FILE, STR_CUSTOM_BRAND_LOGO_FILE, STR_CUSTOM_BRAND_NAME_FILE, STR_CUSTOM_BRAND_POWERED_BY_LOGO_FILE, STR_CUSTOM_LOCALE_NAME_FILE, STR_CUSTOM_WALLPAPER, STR_ELO_PATH_FOR_CUSTOM_ANIMATION, STR_SDCARD_ELO_DIR_PATH, VERIFY_TOKEN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `System()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `autoAllowUSBPermission(android.content.Context context, java.lang.String accessToken, boolean grantPermission, android.os.Handler handler)` This method is used to grant runtime usb permissions in AndroidHomeMode. After applying changes device requires reboot to reflect the changes. ON 3.0 DEVICES THIS METHOD WILL TOGGLE THE USB PERMISSIONS AND THE VARIABLE 'grantPermission' IS NOT USED. SO FOR EXAMPLE IF AUTOMATICALLY ALLOWING USB PERMISSIONS IS CURRENTLY NOT ENABLED FOR AN APP, CALLING THIS FUNCTION WILL ENABLE IT.
    `void` | `backlightTurnOff(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to set the device backlight Turn OFF.
    `void` | `backlightTurnOn(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to set the device backlight Turn ON.
    `void` | `captureScreenShot(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String fileName)` This method is used to capture a screenshot.
    `void` | `changeAppMode(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String status)` This method is used to change app mode (Enable - multi app mode, Disable - single app mode)
    `boolean` | `changeFirmwareStatus(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)` This method is used to lock or unlock the secure processor firmware update
    `void` | `changeLockScreenPassword(android.content.Context context, java.lang.String accessToken, java.lang.String oldPassword, java.lang.String newPassword, boolean autoUnlock, android.os.Handler handler)` API used to apply the screen lock Password.
    `void` | `changeLockScreenPin(android.content.Context context, java.lang.String accessToken, java.lang.String oldPin, java.lang.String newPin, boolean autoUnlock, android.os.Handler handler)` API used to change the screen lock Pin when screen lock pin is already set.
    `void` | `changeWifiState(android.content.Context context, java.lang.String accessToken, boolean wifiState, android.os.Handler handler)` This method is used to change Wifi state.
    `void` | `clearAllAppCacheUserData(android.content.Context context, java.lang.String accessToken, java.lang.String packageNames, android.os.Handler handler)` This method is used to clear cache and userdata of all apps except the ones in the exception list
    `void` | `clearAppCacheUserData(android.content.Context context, java.lang.String accessToken, java.lang.String packageNames, android.os.Handler handler)` This method is used to clear cache and userdata of the given applications
    `void` | `customPortAdb(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String portNumber)` This method is used to Set Custom ADB TCP port
    `void` | `disableAdb(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Disable ADB
    `void` | `disableHomeButton(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Disable the Home button.
    `void` | `disablePowerButton(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Disable the Power button.
    `void` | `disableRecentBtn(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Disable Recent Button
    `void` | `disableTextEditorAssistMenu(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)`
    `void` | `disableVPShowMore(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)`
    `void` | `enableAdb(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Enable ADB
    `void` | `enableBCR(android.content.Context context, java.lang.String accessToken, boolean enableBCR, android.os.Handler handler)` This method is used to enable/disable BCR
    `void` | `enableEloLogging(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.Boolean isSetEnable)` This method is used to enable/disable Elo logging functionality.
    `void` | `enableHomeButton(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Enable the Home button.
    `void` | `enableIdleModeTile(android.content.Context context, java.lang.String accessToken, boolean enable, android.os.Handler handler)` This method is used to Enable/Disable idle mode tile.
    `void` | `enablePowerButton(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Enable the Power button.
    `void` | `enableRandomWifiMacAddress(android.content.Context context, java.lang.String accessToken, int MAC, android.os.Handler handler)` This method is enable/disable Random WiFi MAC address.
    `void` | `enableRecentBtn(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to Enable Recent Button
    `void` | `enableStarHardwareInterface(android.content.Context context, java.lang.String accessToken, java.lang.String value, android.os.Handler handler)` This method is used to enable/disable Star hardware access from WebView via JavaScript Interface.
    `void` | `enableTextEditorAssistMenu(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to enable/disable the Assist Menu in Text Editor
    `void` | `enableVPShowMore(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to enable/disable show more option in volume panel.
    `void` | `factoryReset(android.content.Context context, java.lang.String accessToken, boolean eraseSdcard, android.os.Handler handler)` This method is used to perform a factory reset on the device.
    `void` | `getautoAllowUSBPermission(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get current status of runtime usb permissions in AndroidHomeMode. To reboot device use `silentReboot`.
    `void` | `getAutoIdleModeStatus(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Auto Idle Mode Status.
    `void` | `getBacklightTimeOut(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the currently set back-light timeout.
    `void` | `getChargingSoundandVibrationState(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Charging Sound and Vibration Status(Android Settings -> Sound -> Advanced -> Charging sounds and vibration)
    `void` | `getDeviceOwnerStatus(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` Function will return current device owner package name when the device owner is set through the SDK.
    `void` | `getDPI(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Display resolution DPI
    `void` | `getGrantAllAppPermission(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method provides property status of grantAllAppPermission.
    `void` | `getHostName(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the device HostName.
    `void` | `getLanguage(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the language set on the device.
    `void` | `getLocktype(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the lock type Description On clicking Getlock type button the Current Device lock setting will come in output message (Ex.
    `java.lang.String` | `getMD5Checksum(android.content.Context context, java.lang.String accessToken, java.lang.String absoluteFilePath)` This method is used to verify signature of the file.
    `void` | `getMultiClientIME(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get Multi Client IME enable value
    `void` | `getNavigationBar(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method provides property status of NavigationBar.
    `void` | `getNTPPollInterval(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the NTP Poll Interval set on the device.
    `void` | `getNtpServerURL(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get NTP server address
    `void` | `getOrientation(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get orientation details for all devices
    `void` | `getPermToSpecificApps(android.content.Context context, java.lang.String accessToken, java.lang.String sourcePkg, android.os.Handler handler)` This method provides property status of installSpecificAppPermission.
    `void` | `getPlayProtect(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method provides property status of PLAYPROTECT.
    `void` | `getReservedLogSpace(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get reserved log space on the device.
    `void` | `getScreenLockingSoundState(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Screen Locking Sound Status
    `void` | `getScreenSize(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Display resolution
    `void` | `getSmallestPixelWidth(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the smallest pixel width (as shown in developer options.)
    `boolean` | `getSpFirmwareStatus(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get status of secure processor firmware (true - locked, false - unlocked)
    `void` | `getStatusBar(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method provides property status of StatusBar.
    `void` | `getStickyEloviewMode(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get status of sticky EloView boot mode
    `void` | `getSystemProperty(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String systemProperty)` This method is used to query device System Properties
    `void` | `getTimeZone(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the timezone set on the device.
    `void` | `getTouchSoundState(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to get the Touch Sound State.
    `void` | `getWifiMac(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` Deprecated.
    `boolean` | `getWifiState(android.content.Context context, java.lang.String accessToken)` This method is used to get the current status of Wifi.
    `void` | `grantAllAppPermission(android.content.Context context, java.lang.String accessToken, java.lang.String grantPermission, android.os.Handler handler)` This method is used to grant all runtime permissions in AndroidHomeMode to all apps. After applying changes device requires reboot to reflect the changes.
    `void` | `installAllAppPermission(android.content.Context context, java.lang.String accessToken, boolean grantPermission, android.os.Handler handler)` This method is used to grant install permission to all app source package.
    `void` | `installSpecificAppPerm(android.content.Context context, java.lang.String accessToken, java.lang.String sourcePackage, boolean state, android.os.Handler handler)` This method is used to grant install permission to specific app source package.
    `boolean` | `is7PayDevice()`
    `boolean` | `isM100Device()`
    `boolean` | `isM50Device()`
    `boolean` | `isM60Device()`
    `boolean` | `removeDeviceOwner(android.content.Context context, java.lang.String packageName)` Function will remove the ownership of device owner package Note : This function can only be called by the device owner in order to remove package as device owner.
    `void` | `scanBCR(android.content.Context context, java.lang.String accessToken, boolean scanBCR, android.os.Handler handler)` This method is used to start/stop scan Barcode
    `void` | `setAccessibilityService(android.content.Context context, java.lang.String accessToken, java.lang.String packageName, boolean enableAccessibilityService, android.os.Handler handler)` This method is used to enable/disable accessibility services
    `void` | `setAudioDevice(android.content.Context context, java.lang.String accessToken, java.lang.Boolean externalSpeakerState, android.os.Handler handler)` This method is used to select Internal/External Speaker.
    `void` | `setAutoDateTime(android.content.Context context, java.lang.String accessToken, boolean AutoDateTime, android.os.Handler handler)` This method is used to enable/disable Setting Automatic Date and Time from the network on the device.
    `void` | `setBacklightTimeOut(android.content.Context context, java.lang.String accessToken, int timeout, android.os.Handler handler)` This method is used to set the backlight timeout.
    `void` | `setBluetooth(android.content.Context context, java.lang.String accessToken, java.lang.Boolean bluetoothState, android.os.Handler handler)` This method is used to Enable/Disable bluetooth
    `void` | `setBluetoothDevicePairingConfirmation(android.content.Context context, java.lang.String accessToken, android.bluetooth.BluetoothDevice device, java.lang.Boolean enable, android.os.Handler handler)` This method is used to enable/disable Pairing notification request for specific bluetooth device.
    `void` | `setBluetoothScanning(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)`
    `void` | `setCfdDPI(android.content.Context context, java.lang.String accessToken, int DPI, android.os.Handler handler)` This method is used to set the DPI for CFD screen
    `void` | `setChargingSoundandVibration(android.content.Context context, java.lang.String accessToken, java.lang.Boolean btnState, android.os.Handler handler)` This method is used to Enable/Disable Charging sounds and vibration
    `void` | `setCopyPasteMode(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String copyPasteMode)` This method is used to enable/disable Copy Paste functionality of a device
    `void` | `setDateTime(android.content.Context context, java.lang.String accessToken, java.lang.Long epoch, android.os.Handler handler)` This method is used to set the date and time on the device.
    `void` | `setDeviceOwner(android.content.Context context, java.lang.String accessToken, java.lang.String packageName, java.lang.String className, android.os.Handler handler)` Function will set a component as device owner This function is asynchronous.
    `void` | `setDisplaySize(android.content.Context context, java.lang.String accessToken, java.lang.String size, android.os.Handler handler)` This method is used to set the Display size
    `void` | `setDPI(android.content.Context context, java.lang.String accessToken, int DPI, android.os.Handler handler)` This method is used to set the Display resolution DPI
    `void` | `setEloNetworkConf(android.content.Context ctx, java.lang.String accessToken, android.net.Uri CsvURL, android.os.Handler handler)` This method is used to set the Network configurations for wifi.
    `void` | `setFontSize(android.content.Context context, java.lang.String accessToken, java.lang.String size, android.os.Handler handler)` This method is used to set the Font size
    `void` | `setHostName(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String hostname)` This method is used to Set the Host Name
    `void` | `setHotspotAccessibility(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)` This method is used to Enable Disable Hotspot accessibility
    `void` | `setIdleMode(android.content.Context context, java.lang.String accessToken, boolean IdleMode, android.os.Handler handler)` This method is used to Enable/Disable Auto-Idle mode
    `void` | `setIMEPolicySecondaryDisplay(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)`
    `void` | `setKeyListener(android.content.Context context, java.lang.String accessToken, java.lang.String packageName, java.lang.String receiverName, java.util.ArrayList<java.lang.Integer> keys, java.util.ArrayList<java.lang.String> intercept, android.os.Handler handler)` This method is used to register a key event listener that will be able to work in a background thread.
    `void` | `setLanguage(android.content.Context context, java.lang.String accessToken, java.lang.String locale, android.os.Handler handler)` This method is used to set the language on the device.
    `void` | `setLanguage(android.content.Context context, java.lang.String accessToken, java.lang.String locale, android.os.Handler handler, boolean rebootReq)` This method is used to set the language on the device.
    `void` | `setLocation(android.content.Context context, java.lang.String accessToken, boolean enable, android.os.Handler handler)`
    `void` | `setLockScreenPassword(android.content.Context context, java.lang.String accessToken, java.lang.String newPassword, boolean autoUnlock, android.os.Handler handler)` API used to apply the screen lock Password for the First Time only.
    `void` | `setLockScreenPin(android.content.Context context, java.lang.String accessToken, java.lang.String newPin, boolean autoUnlock, android.os.Handler handler)` API used to apply the screen lock Pin for the First Time only.
    `void` | `setLockStatusBar(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)` This method is used to Enable / Disable Status Bar Swipe Lock
    `void` | `setLocktype(android.content.Context context, java.lang.String accessToken, java.lang.String pass, java.lang.String type, android.os.Handler handler)` This method is used to set the lock type On Clicking Set locktype Button if current device lock setting is password or pin the dialog box will come to enter older password/pin to override with swipe or none.
    `void` | `setMagnifyingMode(android.content.Context context, java.lang.String accessToken, boolean magModeState, android.os.Handler handler)` This method is used to Enable/Disable Magnifying Mode
    `void` | `setMicrophoneMute(android.content.Context context, java.lang.String accessToken, boolean state, android.os.Handler handler)` This method is used to mute/unmute microphone
    `void` | `setMultiClientIME(android.content.Context context, java.lang.String accessToken, boolean enable, boolean reboot, android.os.Handler handler)` This method is used to enable/disable Multi-Client IME After applying, device will reboot to reflect the changes.
    `void` | `setNavigationBar(android.content.Context context, java.lang.String accessToken, java.lang.String enableNavigationBar, android.os.Handler handler)` This method is used to enable/disable NavigationBar in AndroidHomeMode (not supported in EloView modes). By default the navigation bar is enabled After applying changes device requires reboot to reflect the changes.
    `void` | `setNotificationStatus(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)` This method is used to enable/disable Notifcation with statusbar
    `void` | `setNTPPollInterval(android.content.Context context, java.lang.String accessToken, java.lang.String interval, java.lang.Boolean rebootRequired, android.os.Handler handler)` This method is used to set NTP Client Polling Interval for the device.
    `void` | `setNtpServerURL(android.content.Context context, java.lang.String accessToken, java.lang.String ntpUrl, java.lang.Boolean rebootRequired, android.os.Handler handler)` This method is used to set NTP server address.
    `void` | `setOrientation(android.content.Context context, java.lang.String accessToken, java.lang.String orientation, java.lang.Boolean noRebootReq, android.os.Handler handler)` This method is used to set orientation of the device.
    `void` | `setOrientation(android.content.Context context, java.lang.String accessToken, java.lang.String orientation, java.lang.Boolean noRebootReq, android.os.Handler handler, java.lang.Boolean rotateISeriesorHandheld)` This method is used to set orientation of any device
    `void` | `setOrientation(android.content.Context context, java.lang.String accessToken, java.lang.String orientation, android.os.Handler handler)`
    `void` | `setPasswordStat(android.content.Context context, java.lang.String accessToken, boolean state, android.os.Handler handler)` This method is used to enable/disable show password
    `void` | `setPlayProtect(android.content.Context context, java.lang.String accessToken, java.lang.String enablePlayProtect, android.os.Handler handler)` This method is used to enable/disable PLAYPROTECT. Google Play Protect checks your apps and devices for harmful behavior and is only available on GMS enabled devices.
    `void` | `setReservedLogSpace(android.content.Context context, java.lang.String accessToken, java.lang.String logSpace, android.os.Handler handler)` This method is used to set the size of the reserved log space.
    `void` | `setScreenLockSound(android.content.Context context, java.lang.String accessToken, java.lang.Boolean btnState, android.os.Handler handler)` This method is used to Enable/Disable Screen Lock Sound
    `void` | `setScreenSize(android.content.Context context, java.lang.String accessToken, int width, int height, android.os.Handler handler)` This method is used to set the Display resolution
    `void` | `setScreenWakeUp(android.content.Context context, java.lang.String accessToken, long delay, android.os.Handler handler)` This method is used to wake up the screen if it's asleep.
    `void` | `setShowTaps(android.content.Context context, java.lang.String accessToken, java.lang.Boolean showTapsState, android.os.Handler handler)` This method is used to Enable/Disable Show Taps
    `void` | `setSmallestPixelWidth(android.content.Context context, java.lang.String accessToken, java.lang.String smallestWidth, android.os.Handler handler)` This method is used to set the smallest pixel width (as shown in developer options.
    `void` | `setStatusBar(android.content.Context context, java.lang.String accessToken, java.lang.String enableStatusBar, android.os.Handler handler)` This method is used to enable/disable StatusBar in AndroidHomeMode or EloView Connect mode.. After applying changes device requires reboot to reflect the changes.
    `void` | `setStatusBarInvisible(android.content.Context context, java.lang.String accessToken, java.lang.String enableStatusBar, android.os.Handler handler)`
    `void` | `setStickyEloviewMode(android.content.Context context, java.lang.String accessToken, boolean stickyMode, android.os.Handler handler)` This method is used to set sticky EloView boot mode
    `void` | `setTimeFormat(android.content.Context context, java.lang.String accessToken, boolean TimeFormat_24, android.os.Handler handler)` This method is used to set time format
    `void` | `setTimeZone(android.content.Context context, java.lang.String accessToken, java.lang.String timezone, android.os.Handler handler)` This method is used to set the timezone on the device.
    `void` | `setTouchSound(android.content.Context context, java.lang.String accessToken, boolean touchSound, android.os.Handler handler)` This method is used to set the Touch Sound
    `void` | `setVirtualKeyBoard(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String virtualKeyboard)`
    `void` | `setVolumeLevel(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, java.lang.String volumeType, int value)` This method is used to set the volume for "Alarm", "Call", "Media", "Notification" or "All"
    `void` | `setWebViewHardwareInterface(android.content.Context context, java.lang.String accessToken, java.lang.String value, android.os.Handler handler)` This method is used to enable/disable Hardware/System access from WebView via JavaScript Interface.
    `void` | `setWifiScanning(android.content.Context context, java.lang.String accessToken, android.os.Handler handler, boolean status)`
    `void` | `showTextEditorShareMenu(android.content.Context context, java.lang.String accessToken, java.lang.String value, android.os.Handler handler)` This method is used to enable/disable showing menu option on text selection in AndroidHomeMode.
    `void` | `ShowUsbPortInfo(android.content.Context ctx, java.lang.String accessToken, android.os.Handler handler)` This method is used to show to Usb Port Information
    `void` | `silentReboot(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to reboot the device.
    `void` | `silentSetDefaultLauncher(android.content.Context context, java.lang.String accessToken, java.lang.String packageName, android.os.Handler handler)` This method is used to silently set the default launcher application
    `void` | `silentShutDown(android.content.Context context, java.lang.String accessToken, int delay, android.os.Handler handler)` This method is used to shutdown the device
    `boolean` | `spFirmwareUpgrade(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to upgrade the firmware of the secure processor on M60 payment devices First add QE1000_new.uld (firmware file) needs to be stored at /sdcard/Download/ folder
    `void` | `startActivityFromForegroundService(android.content.Context context, java.lang.String accessToken, android.content.Intent activityIntent, android.app.Service foregroundService)` API used to create, show a notification and start an activity from a foreground service.
    `void` | `toggleDarkMode(android.content.Context context, java.lang.String accessToken, android.os.Handler handler)` This method is used to toggle the status of dark theme on the device.
    `void` | `unregisterSystemAPIListener(android.content.Context context)` This method is used to unregister the broadcast receiver registered while using any of the System APIs. Please make sure to call this in the "onPause" and "onDestroy" methods in your activity Lifecycle if you made use of any of the System APIs.
    `void` | `verifyFileSignature(android.content.Context context, java.lang.String accessToken, java.lang.String absoluteFilePath, java.lang.String absoluteSha256Path, android.os.Handler handler)` This method is used to verify signature of the file.
    `void` | `wakeupScreen(android.content.Context context, java.lang.String accessToken)`

    - ### Methods inherited from class com.eloview.homesdk.accountManager.AccountManager

      `configureOAuthHostedUI, destroyOAuth, getBaseUri, getClientId, getEloAccessToken, getEloOAuthToken, getEnvironment, getProperty, isPolaris, isPolarisLocked, logoutOAuth, onOAuthActivityResult, selectEnvironment, setDefaultEnvironment, setProperty, stopOAuth, unregisterAccountManagerListener, verifyEloToken`

    - ### Methods inherited from class com.eloview.homesdk.consts.Consts

      `clone, getEloIntentWithFlag, getMigrate, isDevice7Inch, isDeviceM100`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RESPONSE_SET_LOCATION

          public static final java.lang.String RESPONSE_SET_LOCATION

    - #### ACTION_STICKY_BOOT_MODE

          public static final java.lang.String ACTION_STICKY_BOOT_MODE

    - #### ACTION_GET_STICKY_BOOT_MODE

          public static final java.lang.String ACTION_GET_STICKY_BOOT_MODE

    - #### RESPONSE_STICKY_BOOT_MODE

          public static final java.lang.String RESPONSE_STICKY_BOOT_MODE

    - #### USBINFO

          public static final java.lang.String USBINFO

      See Also:
        Constant Field Values

    - #### CAPTURE_RESULT_CODE

          public static final int CAPTURE_RESULT_CODE

      Response code to retrieve path of the captured screenshot.
      See Also:
        Constant Field Values

    - #### SET_ORIENTATION_RESULT_CODE

          public static final int SET_ORIENTATION_RESULT_CODE

      Response code indicating whether the orientation was changed successfully or not.
      See Also:
        Constant Field Values

    - #### GET_ORIENTATION_RESULT_CODE

          public static final int GET_ORIENTATION_RESULT_CODE

      Response code to retrieve current orientation of the device.
      See Also:
        Constant Field Values

    - #### SET_NAVIGATION_BAR_RESULT_CODE

          public static final int SET_NAVIGATION_BAR_RESULT_CODE

      Response code provide response message whether NavigationBar property changed successfully or not.
      See Also:
        Constant Field Values

    - #### SET_STATUS_BAR_RESULT_CODE

          public static final int SET_STATUS_BAR_RESULT_CODE

      Response code provide response message whether StatusBar property changed successfully or not.
      See Also:
        Constant Field Values

    - #### SET_GRANT_PERMISSION_RESULT_CODE

          public static final int SET_GRANT_PERMISSION_RESULT_CODE

      Response code provide response message whether GrantAllAppPermission property changed successfully or not.
      See Also:
        Constant Field Values

    - #### GET_NAVIGATION_BAR_RESULT_CODE

          public static final int GET_NAVIGATION_BAR_RESULT_CODE

      Response code provide current status of the NavigationBar.
      See Also:
        Constant Field Values

    - #### GET_STATUS_BAR_RESULT_CODE

          public static final int GET_STATUS_BAR_RESULT_CODE

      Response code provide current status of the StatusBar.
      See Also:
        Constant Field Values

    - #### GET_GRANT_PERMISSION_RESULT_CODE

          public static final int GET_GRANT_PERMISSION_RESULT_CODE

      Response code provide current value of the GrantAllAppPermission.
      See Also:
        Constant Field Values

    - #### BACKLIGHT_TIMEOUT

          public static final int BACKLIGHT_TIMEOUT

      Currently set backlight timeout received from system
      See Also:
        Constant Field Values

    - #### PASSWORD_LOCK_CODE

          public static final int PASSWORD_LOCK_CODE

      Response code provide the system password applied
      See Also:
        Constant Field Values

    - #### SET_PLAYPROTECT_RESULT_CODE

          public static final int SET_PLAYPROTECT_RESULT_CODE

      Response code provide response message whether playprotect property changed successfully or not.
      See Also:
        Constant Field Values

    - #### GET_PLAYPROTECT_RESULT_CODE

          public static final int GET_PLAYPROTECT_RESULT_CODE

      Response code provide current status of the playprotect.
      See Also:
        Constant Field Values

    - #### SET_RESERVED_LOG_SPACE_RESULT_CODE

          public static final int SET_RESERVED_LOG_SPACE_RESULT_CODE

      Response code to indicate whether Reserved Log Space was set successfully or not
      See Also:
        Constant Field Values

    - #### GET_RESERVED_LOG_SPACE_RESULT_CODE

          public static final int GET_RESERVED_LOG_SPACE_RESULT_CODE

      Response code to retrieve current reserved log space on the device
      See Also:
        Constant Field Values

    - #### HOME_BUTTON_RESPONSE_CODE

          public static final int HOME_BUTTON_RESPONSE_CODE

      Response code to indicate whether Enabling/Disabling Home button was successful or not
      See Also:
        Constant Field Values

    - #### POWER_BUTTON_RESPONSE_CODE

          public static final int POWER_BUTTON_RESPONSE_CODE

      Response code to indicate whether Enabling/Disabling Power button was successful or not
      See Also:
        Constant Field Values

    - #### EDITOR_SHOW_OPTION_CODE

          public static final int EDITOR_SHOW_OPTION_CODE

      Response code to indicate whether Enabling/Disabling Text share options was successful or not
      See Also:
        Constant Field Values

    - #### TIMEZONE_CODE

          public static final int TIMEZONE_CODE

      Response code for Getting/Setting Timezone
      See Also:
        Constant Field Values

    - #### DPI_CODE

          public static final int DPI_CODE

      Response to Get/Set DPI
      See Also:
        Constant Field Values

    - #### AUTO_USB_PERMISSION_CODE

          public static final int AUTO_USB_PERMISSION_CODE

      Response for set auto USB permissions
      See Also:
        Constant Field Values

    - #### AUTO_IDLE_CODE

          public static final int AUTO_IDLE_CODE

      Response for Set Auto Idle mode
      See Also:
        Constant Field Values

    - #### CLEAR_APP_CACHE_USERDATA_CODE

          public static final int CLEAR_APP_CACHE_USERDATA_CODE

      Response for clearing app cache and user data
      See Also:
        Constant Field Values

    - #### SILENT_SET_DEFAULT_LAUNCHER_CODE

          public static final int SILENT_SET_DEFAULT_LAUNCHER_CODE

      Response for silent set default launcher
      See Also:
        Constant Field Values

    - #### SILENT_SHUTDOWN_CODE

          public static final int SILENT_SHUTDOWN_CODE

      Response for silent shutdown
      See Also:
        Constant Field Values

    - #### NTP_POLL_INTERVAL_CODE

          public static final int NTP_POLL_INTERVAL_CODE

      See Also:
        Constant Field Values

    - #### SET_TOUCH_SOUND_CODE

          public static final int SET_TOUCH_SOUND_CODE

      Response for set touch sound
      See Also:
        Constant Field Values

    - #### SCREEN_WAKE_UP

          public static final int SCREEN_WAKE_UP

      Response code for Setting Screen Wake-up
      See Also:
        Constant Field Values

    - #### GET_WIFI_MAC_ADDRESS

          public static final int GET_WIFI_MAC_ADDRESS

      Response to Get MAC
      See Also:
        Constant Field Values

    - #### SET_RANDOMIZED_WIFI_MAC

          public static final int SET_RANDOMIZED_WIFI_MAC

      Response to Set MAC
      See Also:
        Constant Field Values

    - #### VP_SHOW_MORE_RESPONSE_CODE

          public static final int VP_SHOW_MORE_RESPONSE_CODE

      Response code to indicate whether Enabling/Disabling show more property was successful or not
      See Also:
        Constant Field Values

    - #### DEVICE_OWNER_STATUS

          public static final int DEVICE_OWNER_STATUS

      Device owner setting status code in handler msg
      See Also:
        Constant Field Values

    - #### ERROR_DEVICE_OWNER_STATUS

          public static final int ERROR_DEVICE_OWNER_STATUS

      Device owner setting error code in handler msg
      See Also:
        Constant Field Values

    - #### SET_VOLUME_CONTROL_CODE

          public static final int SET_VOLUME_CONTROL_CODE

      Response for set volume control
      See Also:
        Constant Field Values

    - #### SMALLEST_PIXEL_WIDTH_CODE

          public static final int SMALLEST_PIXEL_WIDTH_CODE

      Response for set/get smallest pixel width
      See Also:
        Constant Field Values

    - #### LOCALE_CODE

          public static final int LOCALE_CODE

      See Also:
        Constant Field Values

    - #### TEXT_EDIT_ASSIST_MENU

          public static final int TEXT_EDIT_ASSIST_MENU

      Response code to indicate whether Enabling/Disabling Text Editor Assist Menu was successful or not
      See Also:
        Constant Field Values

    - #### SET_WEBVIEW_INTERFACE_CODE

          public static final int SET_WEBVIEW_INTERFACE_CODE

      Response code to indicate whether Enabling/Disabling WebView hardware access was successful or not
      See Also:
        Constant Field Values

    - #### NTP_SERVER_TIME_CODE

          public static final int NTP_SERVER_TIME_CODE

      Response code to Get/Set NTP_SERVER_TIME
      See Also:
        Constant Field Values

    - #### CHANGE_WIFI_STATE_RESULT_CODE

          public static final int CHANGE_WIFI_STATE_RESULT_CODE

      Response code to indicate whether wifi state change successfully or not
      See Also:
        Constant Field Values

    - #### SET_INSTALL_ALL_APP_PERMISSION_CODE

          public static final int SET_INSTALL_ALL_APP_PERMISSION_CODE

      Response to Set Install All App Permission
      See Also:
        Constant Field Values

    - #### SET_INSTALL_SPECIFIC_APP_PERMISSION_CODE

          public static final int SET_INSTALL_SPECIFIC_APP_PERMISSION_CODE

      Response to Set Install Specific App Permission
      See Also:
        Constant Field Values

    - #### GET_INSTALL_SPECIFIC_APP_PERMISSION_CODE

          public static final int GET_INSTALL_SPECIFIC_APP_PERMISSION_CODE

      Response to Get Install Specific App Permission
      See Also:
        Constant Field Values

    - #### SET_LOGS_ENABLE_OR_DISBLE_CODE

          public static final int SET_LOGS_ENABLE_OR_DISBLE_CODE

      Response to Set Logs Enability
      See Also:
        Constant Field Values

    - #### SET_BLUETOOTH_PAIRING_CONFIRMATION_RESULT_CODE

          public static final int SET_BLUETOOTH_PAIRING_CONFIRMATION_RESULT_CODE

      Response to Set Bluetooth Device Pairing Confirmation
      See Also:
        Constant Field Values

    - #### CUSTOM_PORT_ADB

          public static final int CUSTOM_PORT_ADB

      Response to Set Custom Adb Tcp Port
      See Also:
        Constant Field Values

    - #### ENABLE_ADB

          public static final int ENABLE_ADB

      Response to enabling Adb
      See Also:
        Constant Field Values

    - #### DISABLE_ADB

          public static final int DISABLE_ADB

      Response to Disabling Adb
      See Also:
        Constant Field Values

    - #### GET_LOCK_TYPE_CODE

          public static final int GET_LOCK_TYPE_CODE

      Response code to get lockscreen type
      See Also:
        Constant Field Values

    - #### SET_FONT_SIZE_CODE

          public static final int SET_FONT_SIZE_CODE

      Response code to set font size
      See Also:
        Constant Field Values

    - #### SET_MICROPHONE_MUTE_CODE

          public static final int SET_MICROPHONE_MUTE_CODE

      Response code to mute/unmute microphone
      See Also:
        Constant Field Values

    - #### SET_DATE_TIME

          public static final int SET_DATE_TIME

      Response code for setting Date and Time
      See Also:
        Constant Field Values

    - #### SET_DISPLAY_SIZE_CODE

          public static final int SET_DISPLAY_SIZE_CODE

      Response code for setting display size
      See Also:
        Constant Field Values

    - #### SET_LOCATION_RESULT_CODE

          public static final int SET_LOCATION_RESULT_CODE

      Response code for setting location
      See Also:
        Constant Field Values

    - #### SET_DISPLAY_RESOLUTION_CODE

          public static final int SET_DISPLAY_RESOLUTION_CODE

      Response code for setting display resolution
      See Also:
        Constant Field Values

    - #### SET_BCR_STATUS

          public static final int SET_BCR_STATUS

      Response code for setting Barcode scanner status
      See Also:
        Constant Field Values

    - #### SET_SCAN_STATUS

          public static final int SET_SCAN_STATUS

      Response code for setting scan status
      See Also:
        Constant Field Values

    - #### GET_MULTI_CLIENT_IME_RESULT_CODE

          public static final int GET_MULTI_CLIENT_IME_RESULT_CODE

      Response code for getting the multi-client IME status
      See Also:
        Constant Field Values

    - #### SET_MULTI_CLIENT_IME_RESULT_CODE

          public static final int SET_MULTI_CLIENT_IME_RESULT_CODE

      Response code for setting the mult-client IME.
      See Also:
        Constant Field Values

    - #### SET_PASSWORD_STAT

          public static final int SET_PASSWORD_STAT

      See Also:
        Constant Field Values

    - #### SET_ACCESSIBILITY_SERVICE_RESULT_CODE

          public static final int SET_ACCESSIBILITY_SERVICE_RESULT_CODE

      See Also:
        Constant Field Values

    - #### SET_DARK_THEME_RESULT_CODE

          public static final int SET_DARK_THEME_RESULT_CODE

      See Also:
        Constant Field Values

    - #### ENABLE_STAR_HARDWARE_INTERFACE_CODE

          public static final int ENABLE_STAR_HARDWARE_INTERFACE_CODE

      Response code for Enabling/Disabling Star hardware access from WebView via JavaScript Interface
      See Also:
        Constant Field Values

    - #### REGISTER_KEY_EVENT_LISTENER_RESULT_CODE

          public static final int REGISTER_KEY_EVENT_LISTENER_RESULT_CODE

      See Also:
        Constant Field Values

    - #### RECEIVE_KEY_EVENT

          public static final int RECEIVE_KEY_EVENT

      See Also:
        Constant Field Values

    - #### GET_HOSTNAME_ADDRESS

          public static final int GET_HOSTNAME_ADDRESS

      Response to Get HOSTNAME
      See Also:
        Constant Field Values

    - #### SET_HOSTNAME

          public static final int SET_HOSTNAME

      Response to Set HOSTNAME
      See Also:
        Constant Field Values

    - #### PIN_LOCK_CODE

          public static final int PIN_LOCK_CODE

      Response code provide the system pin applied
      See Also:
        Constant Field Values

    - #### GET_FIRMWARE_STATUS

          public static final int GET_FIRMWARE_STATUS

      See Also:
        Constant Field Values

    - #### SET_FIRMWARE_STATUS

          public static final int SET_FIRMWARE_STATUS

      See Also:
        Constant Field Values

    - #### FIRMWARE_STATUS_UPGRADE

          public static final int FIRMWARE_STATUS_UPGRADE

      See Also:
        Constant Field Values

    - #### NOTIFICATIONS_STATUS

          public static final int NOTIFICATIONS_STATUS

      See Also:
        Constant Field Values

    - #### SET_APPMODE

          public static final int SET_APPMODE

      See Also:
        Constant Field Values

    - #### SHOW_USB_INFO_CODE

          public static final int SHOW_USB_INFO_CODE

      See Also:
        Constant Field Values

    - #### SET_COPY_PASTE_MODE_RESULT_CODE

          public static final int SET_COPY_PASTE_MODE_RESULT_CODE

      See Also:
        Constant Field Values

    - #### SET_VIRTUAL_KEYBOARD_RESULT_CODE

          public static final int SET_VIRTUAL_KEYBOARD_RESULT_CODE

      See Also:
        Constant Field Values

    - #### STICKY_BOOT_CODE

          public static final int STICKY_BOOT_CODE

      See Also:
        Constant Field Values

    - #### ENABLE_IDLE_MODE_TILE_CODE

          public static final int ENABLE_IDLE_MODE_TILE_CODE

      See Also:
        Constant Field Values

    - #### ENABLE_RECENT_BUTTON

          public static final int ENABLE_RECENT_BUTTON

      See Also:
        Constant Field Values

    - #### DISABLE_RECENT_BUTTON

          public static final int DISABLE_RECENT_BUTTON

      See Also:
        Constant Field Values

    - #### SET_SILENT_SHUTDOWN_RESULT_CODE

          public static final int SET_SILENT_SHUTDOWN_RESULT_CODE

      See Also:
        Constant Field Values

    - #### BLUETOOTH_STATE_CODE

          public static final int BLUETOOTH_STATE_CODE

      Response code for Enable/Disable Bluetooth API
      See Also:
        Constant Field Values

    - #### SHOWTAPS_STATE_CODE

          public static final int SHOWTAPS_STATE_CODE

      See Also:
        Constant Field Values

    - #### AUDIO_STATE_CODE

          public static final int AUDIO_STATE_CODE

      See Also:
        Constant Field Values

    - #### STATUSBAR_SWIPE_LOCK

          public static final int STATUSBAR_SWIPE_LOCK

      See Also:
        Constant Field Values

    - #### GET_AUTOIDLEMODE_STATUS

          public static final int GET_AUTOIDLEMODE_STATUS

      See Also:
        Constant Field Values

    - #### GET_TOUCH_SOUND_STATUS

          public static final int GET_TOUCH_SOUND_STATUS

      See Also:
        Constant Field Values

    - #### SCREEN_LOCKING_SOUND_CODE

          public static final int SCREEN_LOCKING_SOUND_CODE

      See Also:
        Constant Field Values

    - #### GET_SCREEN_LOCKING_SOUND_CODE

          public static final int GET_SCREEN_LOCKING_SOUND_CODE

      See Also:
        Constant Field Values

    - #### CHARGING_SOUND_AND_VIBRATION_CODE

          public static final int CHARGING_SOUND_AND_VIBRATION_CODE

      See Also:
        Constant Field Values

    - #### GET_CHARGING_SOUND_AND_VIBRATION_CODE

          public static final int GET_CHARGING_SOUND_AND_VIBRATION_CODE

      See Also:
        Constant Field Values

    - #### FILE_SIGNING_AND_INTEGRITY_CHECK_CODE

          public static final int FILE_SIGNING_AND_INTEGRITY_CHECK_CODE

      See Also:
        Constant Field Values

    - #### GET_SYSTEM_PROPERTY_CODE

          public static final int GET_SYSTEM_PROPERTY_CODE

      See Also:
        Constant Field Values

    - #### HOTSPOT_STATE_CODE

          public static final int HOTSPOT_STATE_CODE

      See Also:
        Constant Field Values

    - #### IME_STATE_CODE

          public static final int IME_STATE_CODE

      See Also:
        Constant Field Values

    - #### CFD_DPI_CODE

          public static final int CFD_DPI_CODE

      See Also:
        Constant Field Values

    - #### MAGNIFYING_MODE_STATUS

          public static final int MAGNIFYING_MODE_STATUS

      See Also:
        Constant Field Values

    - #### WIFI_SCANNING_CODE

          public static final int WIFI_SCANNING_CODE

      See Also:
        Constant Field Values

    - #### BLUETOOTH_SCANNING_CODE

          public static final int BLUETOOTH_SCANNING_CODE

      See Also:
        Constant Field Values

    - #### ACTION_SCHEDULE_SCREEN_TURN_ON

          public static final java.lang.String ACTION_SCHEDULE_SCREEN_TURN_ON

    - #### ACTION_SCREEN_LOCKING_SOUND_ENABLE_DISABLE

          public static final java.lang.String ACTION_SCREEN_LOCKING_SOUND_ENABLE_DISABLE

    - #### RESPONSE_SCREEN_LOCKING_SOUND_ENABLE_DISABLE

          public static final java.lang.String RESPONSE_SCREEN_LOCKING_SOUND_ENABLE_DISABLE

    - #### ACTION_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE

          public static final java.lang.String ACTION_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE

    - #### RESPONSE_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE

          public static final java.lang.String RESPONSE_CHARGING_SOUND_AND_VIBRATION_ENABLE_DISABLE

    - #### instance

          public static System instance

    - #### RESPONSE_ENABLE_RECENT_BUTTON

          public static final java.lang.String RESPONSE_ENABLE_RECENT_BUTTON

    - #### RESPONSE_DISABLE_RECENT_BUTTON

          public static final java.lang.String RESPONSE_DISABLE_RECENT_BUTTON

    - #### ACTION_BLUETOOTH_ENABLE_DISABLE

          public static final java.lang.String ACTION_BLUETOOTH_ENABLE_DISABLE

    - #### ACTION_SET_AUDIO_DEVICE

          public static final java.lang.String ACTION_SET_AUDIO_DEVICE

    - #### RESPONSE_BLUETOOTH_ENABLE_DISABLE

          public static final java.lang.String RESPONSE_BLUETOOTH_ENABLE_DISABLE

    - #### RESPONSE_SHOWTAPS_ENABLE_DISABLE

          public static final java.lang.String RESPONSE_SHOWTAPS_ENABLE_DISABLE

    - #### ACTION_SHOWTAPS_ENABLE_DISABLE

          public static final java.lang.String ACTION_SHOWTAPS_ENABLE_DISABLE

    - #### ACTION_FILE_SIGNING_AND_INTEGRITY_CHECK

          public static final java.lang.String ACTION_FILE_SIGNING_AND_INTEGRITY_CHECK

    - #### RESPONSE_FILE_SIGNING_AND_INTEGRITY_CHECK

          public static final java.lang.String RESPONSE_FILE_SIGNING_AND_INTEGRITY_CHECK

    - #### ACTION_MAGNIFYING_MODE_ENABLE_DISABLE

          public static final java.lang.String ACTION_MAGNIFYING_MODE_ENABLE_DISABLE

    - #### RESPONSE_MAGNIFYING_MODE_ENABLE_DISABLE

          public static final java.lang.String RESPONSE_MAGNIFYING_MODE_ENABLE_DISABLE

  - ### Constructor Detail

    - #### System

          public System()

  - ### Method Detail

    - #### captureScreenShot

          public void captureScreenShot(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler,
                                        java.lang.String fileName)

      This method is used to capture a screenshot. The screenshot will be store in location "/sdcard/elo/screenshot" and the return message also contains the path of the screenshot location.
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:
        `fileName` - A filename in png format. Eg. "screenshot.png"

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `CAPTURE_RESULT_CODE`

    - #### setAccessibilityService

          public void setAccessibilityService(android.content.Context context,
                                              java.lang.String accessToken,
                                              java.lang.String packageName,
                                              boolean enableAccessibilityService,
                                              android.os.Handler handler)

      This method is used to enable/disable accessibility services

    - #### setReservedLogSpace

          public void setReservedLogSpace(android.content.Context context,
                                          java.lang.String accessToken,
                                          java.lang.String logSpace,
                                          android.os.Handler handler)

      This method is used to set the size of the reserved log space. Only available for builds l1-lava or newer for 3.0 devices. Won't work on 4.46.70. This API is supported on 4.0 devices. Please refer to the SDK test app for proper utilization of this API.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `logSpace` - log space to be reserved can be the following values: "144MB","256MB","512MB","756MB","1GB","2GB"
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_ORIENTATION_RESULT_CODE`

    - #### setMultiClientIME

          public void setMultiClientIME(android.content.Context context,
                                        java.lang.String accessToken,
                                        boolean enable,
                                        boolean reboot,
                                        android.os.Handler handler)

      This method is used to enable/disable Multi-Client IME After applying, device will reboot to reflect the changes.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `enable` - whether to enable or disable
        `reboot` - Set this to 'true' to immediately reboot the device after enabling/disabling multi-client IME. Set this to 'false' to prevent the device from rebooting. If set to 'false' the user needs to take care of rebooting the device at a later time for this setting to take effect.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `SET_MULTI_CLIENT_IME_RESULT_CODE`
        `Consts.GENERIC_ERROR`

    - #### setKeyListener

          public void setKeyListener(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String packageName,
                                     java.lang.String receiverName,
                                     java.util.ArrayList<java.lang.Integer> keys,
                                     java.util.ArrayList<java.lang.String> intercept,
                                     android.os.Handler handler)

      This method is used to register a key event listener that will be able to work in a background thread.
      Parameters:
        `context` - Application Context
        `accessToken` - an offline JWT token
        `packageName` - Name of package the key listener component belongs to
        `receiverName` - Class Name of the key listener component (use class.getName())
        `keys` - Array list of keycode integers. Use KeyEvent.KEYCODE_*
        `intercept` - true iff the system should only send the KeyEvent to the listener, and not to the user
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `SET_MULTI_CLIENT_IME_RESULT_CODE`
        `Consts.GENERIC_ERROR`

    - #### getMultiClientIME

          public void getMultiClientIME(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler)

      This method is used to get Multi Client IME enable value
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `GET_MULTI_CLIENT_IME_RESULT_CODE`

    - #### setCfdDPI

          public void setCfdDPI(android.content.Context context,
                                java.lang.String accessToken,
                                int DPI,
                                android.os.Handler handler)

      This method is used to set the DPI for CFD screen
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `DPI` - Integer value to set the screen density in DPI (160, 240, 320, 480 or 640).
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### setDPI

          public void setDPI(android.content.Context context,
                             java.lang.String accessToken,
                             int DPI,
                             android.os.Handler handler)

      This method is used to set the Display resolution DPI
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `DPI` - Integer value to set the screen density in DPI (160, 240, 320, 480 or 640).
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### setScreenSize

          public void setScreenSize(android.content.Context context,
                                    java.lang.String accessToken,
                                    int width,
                                    int height,
                                    android.os.Handler handler)

      This method is used to set the Display resolution
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `width` - Integer value to set the screen resolution width
        `height` - Integer value to set the screen resolution height
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_DISPLAY_RESOLUTION_CODE`

    - #### setDisplaySize

          public void setDisplaySize(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String size,
                                     android.os.Handler handler)

      This method is used to set the Display size
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `size` - string value to set the screen display size
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### setFontSize

          public void setFontSize(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.String size,
                                  android.os.Handler handler)

      This method is used to set the Font size
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `size` - string value to set the Font size
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_FONT_SIZE_CODE`

    - #### setSmallestPixelWidth

          public void setSmallestPixelWidth(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String smallestWidth,
                                            android.os.Handler handler)

      This method is used to set the smallest pixel width (as shown in developer options. The DPI will change when the smallest pixel width is modified)
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `smallestWidth` - String value to set the screen smallest pixel width
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SMALLEST_PIXEL_WIDTH_CODE`

    - #### getSmallestPixelWidth

          public void getSmallestPixelWidth(android.content.Context context,
                                            java.lang.String accessToken,
                                            android.os.Handler handler)

      This method is used to get the smallest pixel width (as shown in developer options.)
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SMALLEST_PIXEL_WIDTH_CODE`

    - #### silentSetDefaultLauncher

          public void silentSetDefaultLauncher(android.content.Context context,
                                               java.lang.String accessToken,
                                               java.lang.String packageName,
                                               android.os.Handler handler)

      This method is used to silently set the default launcher application
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `packageName` - String containing package names of the app to set as launcher.
        The packageName should be that of a launcher application.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### clearAppCacheUserData

          public void clearAppCacheUserData(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String packageNames,
                                            android.os.Handler handler)

      This method is used to clear cache and userdata of the given applications
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `packageNames` - String containing package names of the apps to clear cache and userdata
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### clearAllAppCacheUserData

          public void clearAllAppCacheUserData(android.content.Context context,
                                               java.lang.String accessToken,
                                               java.lang.String packageNames,
                                               android.os.Handler handler)

      This method is used to clear cache and userdata of all apps except the ones in the exception list
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT.
        `packageNames` - String containing package names of the apps to be excepted from clearing cache and userdata
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### enableRandomWifiMacAddress

          public void enableRandomWifiMacAddress(android.content.Context context,
                                                 java.lang.String accessToken,
                                                 int MAC,
                                                 android.os.Handler handler)

      This method is enable/disable Random WiFi MAC address. This method changes the randomized mac setting on saved or connected Networks. So first call setNetwork to save or connect to a network. Once a response is received for the setNetwork API call the enableRandomWifiMacAddress
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT Token.
        `MAC` - Integer value to set MAC address. 1 for randomized MAC and 0 for a fixed MAC address.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_RANDOMIZED_WIFI_MAC`

    - #### setIdleMode

          public void setIdleMode(android.content.Context context,
                                  java.lang.String accessToken,
                                  boolean IdleMode,
                                  android.os.Handler handler)

      This method is used to Enable/Disable Auto-Idle mode
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `IdleMode` - Boolean value to set the idle mode enable/disable. By default auto-idle mode is enabled.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### enableIdleModeTile

          public void enableIdleModeTile(android.content.Context context,
                                         java.lang.String accessToken,
                                         boolean enable,
                                         android.os.Handler handler)

      This method is used to Enable/Disable idle mode tile. Only works in android home mode, GMS mode, and eloview connect mode.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `enable` - boolean value to set the idle mode tile. By default idle mode tile is enabled.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setNtpServerURL

          public void setNtpServerURL(android.content.Context context,
                                      java.lang.String accessToken,
                                      java.lang.String ntpUrl,
                                      java.lang.Boolean rebootRequired,
                                      android.os.Handler handler)

      This method is used to set NTP server address. A reboot is required for this to take effect.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `ntpUrl` - NTP server address
        `rebootRequired` - If this is set to true device will reboot immediately. If set to false device will not reboot immediately but device needs to be rebooted for the change to take effect using the `silentReboot` API.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### getNtpServerURL

          public void getNtpServerURL(android.content.Context context,
                                      java.lang.String accessToken,
                                      android.os.Handler handler)

      This method is used to get NTP server address
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setPasswordStat

          public void setPasswordStat(android.content.Context context,
                                      java.lang.String accessToken,
                                      boolean state,
                                      android.os.Handler handler)

      This method is used to enable/disable show password
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `state` - true to enable show password, false to disable show password
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setMicrophoneMute

          public void setMicrophoneMute(android.content.Context context,
                                        java.lang.String accessToken,
                                        boolean state,
                                        android.os.Handler handler)

      This method is used to mute/unmute microphone
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `state` - true to enable microphone, false to disable microphone
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setLocktype

          public void setLocktype(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.String pass,
                                  java.lang.String type,
                                  android.os.Handler handler)

      This method is used to set the lock type On Clicking Set locktype Button if current device lock setting is password or pin the dialog box will come to enter older password/pin to override with swipe or none. Get Locktype must be call before this method to override with new lock settings. If current Device lock setting is Swipe or None it will override directly without dialog box.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `type` - string value to set lock type
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### getLocktype

          public void getLocktype(android.content.Context context,
                                  java.lang.String accessToken,
                                  android.os.Handler handler)

      This method is used to get the lock type Description On clicking Getlock type button the Current Device lock setting will come in output message (Ex. Password,Pin,Swipe,None,or Pattern). It is mandatory step to override with new lock setting.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### getWifiMac

          @Deprecated
          public void getWifiMac(android.content.Context context,
                                             java.lang.String accessToken,
                                             android.os.Handler handler)

      Deprecated.
      This method is used to get WIFI MAC address on the device. DEPRECATED -- NO LONGER SUPPORTED. INSTEAD, PLEASE USE `Network.getWiFiMac(Context, String, Handler)`
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_WIFI_MAC`

    - #### getHostName

          public void getHostName(android.content.Context context,
                                  java.lang.String accessToken,
                                  android.os.Handler handler)

      This method is used to get the device HostName.
      Parameters:
        `context` - Context
        `accessToken` - An authentication token received from the Elo servers.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_HOSTNAME`

    - #### setHostName

          public void setHostName(android.content.Context context,
                                  java.lang.String accessToken,
                                  android.os.Handler handler,
                                  java.lang.String hostname)

      This method is used to Set the Host Name
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An authentication token received from the Elo servers.
        `hostname` - The chosen port number
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_HOSTNAME`

    - #### setChargingSoundandVibration

          public void setChargingSoundandVibration(android.content.Context context,
                                                   java.lang.String accessToken,
                                                   java.lang.Boolean btnState,
                                                   android.os.Handler handler)

      This method is used to Enable/Disable Charging sounds and vibration
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_CHARGING_SOUND_AND_VIBRATION_STATUS`

        `btnState` - "Enable" to Enable Charging Sound and Vibration and "Disable" to Disable Charging Sound and Vibration

    - #### getChargingSoundandVibrationState

          public void getChargingSoundandVibrationState(android.content.Context context,
                                                        java.lang.String accessToken,
                                                        android.os.Handler handler)

      This method is used to get the Charging Sound and Vibration Status(Android Settings -> Sound -> Advanced -> Charging sounds and vibration)
      Parameters:
        `context` - Context
        `accessToken` - An authentication token received from the Elo servers.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_CHARGING_SOUND_AND_VIBRATION_STATUS`

    - #### setScreenLockSound

          public void setScreenLockSound(android.content.Context context,
                                         java.lang.String accessToken,
                                         java.lang.Boolean btnState,
                                         android.os.Handler handler)

      This method is used to Enable/Disable Screen Lock Sound
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `bluetoothState` - "Enable" to Enable Screen Lock Sound and "Disable" to Disable Screen Lock Sound

    - #### getScreenLockingSoundState

          public void getScreenLockingSoundState(android.content.Context context,
                                                 java.lang.String accessToken,
                                                 android.os.Handler handler)

      This method is used to get the Screen Locking Sound Status
      Parameters:
        `context` - Context
        `accessToken` - An authentication token received from the Elo servers.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_SCREEN_LOCKING_SOUND_STATUS`

    - #### getAutoIdleModeStatus

          public void getAutoIdleModeStatus(android.content.Context context,
                                            java.lang.String accessToken,
                                            android.os.Handler handler)

      This method is used to get the Auto Idle Mode Status.
      Parameters:
        `context` - Context
        `accessToken` - An authentication token received from the Elo servers.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_AUTOIDLEMODE_STATUS`

    - #### getTouchSoundState

          public void getTouchSoundState(android.content.Context context,
                                         java.lang.String accessToken,
                                         android.os.Handler handler)

      This method is used to get the Touch Sound State.
      Parameters:
        `context` - Context
        `accessToken` - An authentication token received from the Elo servers.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `ACTION_GET_TOUCH_SOUND_STATUS`

    - #### setTouchSound

          public void setTouchSound(android.content.Context context,
                                    java.lang.String accessToken,
                                    boolean touchSound,
                                    android.os.Handler handler)

      This method is used to set the Touch Sound
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token token.
        `touchSound` - Boolean value to enable/disable touch sound
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setLocation

          public void setLocation(android.content.Context context,
                                  java.lang.String accessToken,
                                  boolean enable,
                                  android.os.Handler handler)

    - #### getDPI

          public void getDPI(android.content.Context context,
                             java.lang.String accessToken,
                             android.os.Handler handler)

      This method is used to get the Display resolution DPI
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### getScreenSize

          public void getScreenSize(android.content.Context context,
                                    java.lang.String accessToken,
                                    android.os.Handler handler)

      This method is used to get the Display resolution
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_DISPLAY_RESOLUTION_CODE`

    - #### silentShutDown

          public void silentShutDown(android.content.Context context,
                                     java.lang.String accessToken,
                                     int delay,
                                     android.os.Handler handler)

      This method is used to shutdown the device
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `delay` - A delay in seconds before shutting down the device
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `DPI_CODE`

    - #### getReservedLogSpace

          public void getReservedLogSpace(android.content.Context context,
                                          java.lang.String accessToken,
                                          android.os.Handler handler)

      This method is used to get reserved log space on the device. Only available for builds l1-lava or newer. Won't work on 4.46.70.
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `GET_RESERVED_LOG_SPACE_RESULT_CODE`

    - #### setOrientation

          public void setOrientation(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String orientation,
                                     android.os.Handler handler)

    - #### setOrientation

          public void setOrientation(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String orientation,
                                     java.lang.Boolean noRebootReq,
                                     android.os.Handler handler,
                                     java.lang.Boolean rotateISeriesorHandheld)

      This method is used to set orientation of any device
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `orientation` - value should be "-1", "0", "90", "180" or "270"
        `noRebootReq` - If device should reboot after orientation is set
        `handler` - A handler to receive callback message:
        `rotateISeriesorHandheld` - Indicates whether should rotate I-series or handheld device

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_ORIENTATION_RESULT_CODE`

    - #### setOrientation

          public void setOrientation(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String orientation,
                                     java.lang.Boolean noRebootReq,
                                     android.os.Handler handler)

      This method is used to set orientation of the device. (for LIDS 2.0/BACKPACK devices only).
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `orientation` - value should be "0", "90", "180" or "270"
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `SET_ORIENTATION_RESULT_CODE`

    - #### getOrientation

          public void getOrientation(android.content.Context context,
                                     java.lang.String accessToken,
                                     android.os.Handler handler)

      This method is used to get orientation details for all devices
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`
        `GET_ORIENTATION_RESULT_CODE`

    - #### factoryReset

          public void factoryReset(android.content.Context context,
                                   java.lang.String accessToken,
                                   boolean eraseSdcard,
                                   android.os.Handler handler)

      This method is used to perform a factory reset on the device. It will erase all the internal storage records and restart the device.
      Parameters:
        `context` - Context
        `accessToken` - An offline JWT token.
        `eraseSdcard` - boolean true to erase SDCard data too. false for not erasing SDCard data.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### silentReboot

          public void silentReboot(android.content.Context context,
                                   java.lang.String accessToken,
                                   android.os.Handler handler)

      This method is used to reboot the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### enableBCR

          public void enableBCR(android.content.Context context,
                                java.lang.String accessToken,
                                boolean enableBCR,
                                android.os.Handler handler)

      This method is used to enable/disable BCR
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `enableBCR` - boolean (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_NAVIGATION_BAR`
        `Consts.GENERIC_ERROR`

    - #### scanBCR

          public void scanBCR(android.content.Context context,
                              java.lang.String accessToken,
                              boolean scanBCR,
                              android.os.Handler handler)

      This method is used to start/stop scan Barcode
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `scanBCR` - boolean (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_NAVIGATION_BAR`
        `Consts.GENERIC_ERROR`

    - #### setNavigationBar

          public void setNavigationBar(android.content.Context context,
                                       java.lang.String accessToken,
                                       java.lang.String enableNavigationBar,
                                       android.os.Handler handler)

      This method is used to enable/disable NavigationBar in AndroidHomeMode (not supported in EloView modes).
      By default the navigation bar is enabled After applying changes device requires reboot to reflect the changes.
      To reboot device use `silentReboot`.
      Parameters:
        `context` - Context
        `accessToken` - Offline JWT Token
        `enableNavigationBar` - String (true/false). Default value is true.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_NAVIGATION_BAR`
        `Consts.GENERIC_ERROR`

    - #### setPlayProtect

          public void setPlayProtect(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String enablePlayProtect,
                                     android.os.Handler handler)

      This method is used to enable/disable PLAYPROTECT.
      Google Play Protect checks your apps and devices for harmful behavior and is only available on GMS enabled devices. After applying changes device requires reboot to reflect the changes.
      To reboot device use `silentReboot`.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `enablePlayProtect` - String (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_PLAYPROTECT`
        `Consts.GENERIC_ERROR`

    - #### changeWifiState

          public void changeWifiState(android.content.Context context,
                                      java.lang.String accessToken,
                                      boolean wifiState,
                                      android.os.Handler handler)

      This method is used to change Wifi state.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `wifiState` - String (true/false). True to enable wifi and false to disable wifi.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_CHANGE_WIFI_STATE`
        `Consts.GENERIC_ERROR`

    - #### getWifiState

          public boolean getWifiState(android.content.Context context,
                                      java.lang.String accessToken)

      This method is used to get the current status of Wifi. This function will return true if Wifi is enabled.
      And false if Wifi is disabled. This method can be accessed without an access token
      Parameters:
        `context` - Context

    - #### setStatusBar

          public void setStatusBar(android.content.Context context,
                                   java.lang.String accessToken,
                                   java.lang.String enableStatusBar,
                                   android.os.Handler handler)

      This method is used to enable/disable StatusBar in AndroidHomeMode or EloView Connect mode..
      After applying changes device requires reboot to reflect the changes.
      To reboot device use `silentReboot`.
      Parameters:
        `context` - Context
        `accessToken` - Offline JWT Token
        `enableStatusBar` - String (true/false). Default value is true.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_STATUS_BAR`
        `Consts.GENERIC_ERROR`

    - #### setBluetoothDevicePairingConfirmation

          public void setBluetoothDevicePairingConfirmation(android.content.Context context,
                                                            java.lang.String accessToken,
                                                            android.bluetooth.BluetoothDevice device,
                                                            java.lang.Boolean enable,
                                                            android.os.Handler handler)

      This method is used to enable/disable Pairing notification request for specific bluetooth device.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `enable` - boolean
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_BLUETOOTH_PAIRING_CONFIRMATION`
        `Consts.GENERIC_ERROR`

    - #### setStatusBarInvisible

          public void setStatusBarInvisible(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String enableStatusBar,
                                            android.os.Handler handler)

    - #### grantAllAppPermission

          public void grantAllAppPermission(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String grantPermission,
                                            android.os.Handler handler)

      This method is used to grant all runtime permissions in AndroidHomeMode to all apps.
      After applying changes device requires reboot to reflect the changes.
      To reboot device use `silentReboot`.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `grantPermission` - String (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_GRANT_ALL_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### autoAllowUSBPermission

          public void autoAllowUSBPermission(android.content.Context context,
                                             java.lang.String accessToken,
                                             boolean grantPermission,
                                             android.os.Handler handler)

      This method is used to grant runtime usb permissions in AndroidHomeMode.
      After applying changes device requires reboot to reflect the changes.
      ON 3.0 DEVICES THIS METHOD WILL TOGGLE THE USB PERMISSIONS AND THE VARIABLE 'grantPermission' IS NOT USED.
      SO FOR EXAMPLE IF AUTOMATICALLY ALLOWING USB PERMISSIONS IS CURRENTLY NOT ENABLED FOR AN APP, CALLING
      THIS FUNCTION WILL ENABLE IT. AND IF AUTO ALLOWING USB PERMISSIONS IS CURRENTLY ENABLED, THEN CALLING
      THIS FUNCTION WILL DISBALE IT

      To reboot device use `silentReboot`.

      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `grantPermission` - boolean (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_GRANT_ALL_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### getautoAllowUSBPermission

          public void getautoAllowUSBPermission(android.content.Context context,
                                                java.lang.String accessToken,
                                                android.os.Handler handler)

      This method is used to get current status of runtime usb permissions in AndroidHomeMode.
      To reboot device use `silentReboot`.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_GRANT_ALL_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### getNavigationBar

          public void getNavigationBar(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler)

      This method provides property status of NavigationBar.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_NAVIGATION_BAR`
        `Consts.GENERIC_ERROR`

    - #### getPlayProtect

          public void getPlayProtect(android.content.Context context,
                                     java.lang.String accessToken,
                                     android.os.Handler handler)

      This method provides property status of PLAYPROTECT.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_PLAYPROTECT`
        `Consts.GENERIC_ERROR`

    - #### getStatusBar

          public void getStatusBar(android.content.Context context,
                                   java.lang.String accessToken,
                                   android.os.Handler handler)

      This method provides property status of StatusBar.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_STATUS_BAR`
        `Consts.GENERIC_ERROR`

    - #### getGrantAllAppPermission

          public void getGrantAllAppPermission(android.content.Context context,
                                               java.lang.String accessToken,
                                               android.os.Handler handler)

      This method provides property status of grantAllAppPermission.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_GRANT_ALL_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### installAllAppPermission

          public void installAllAppPermission(android.content.Context context,
                                              java.lang.String accessToken,
                                              boolean grantPermission,
                                              android.os.Handler handler)

      This method is used to grant install permission to all app source package.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `grantPermission` - Boolean (true/false)
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_INSTALL_ALL_APP_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### installSpecificAppPerm

          public void installSpecificAppPerm(android.content.Context context,
                                             java.lang.String accessToken,
                                             java.lang.String sourcePackage,
                                             boolean state,
                                             android.os.Handler handler)

      This method is used to grant install permission to specific app source package.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `sourcePackage` - String
        `state` - Boolean
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_INSTALL_SPECIFIC_APP_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### getPermToSpecificApps

          public void getPermToSpecificApps(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String sourcePkg,
                                            android.os.Handler handler)

      This method provides property status of installSpecificAppPermission.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_INSTALL_SPECIFIC_APP_PERMISSION`
        `Consts.GENERIC_ERROR`

    - #### showTextEditorShareMenu

          public void showTextEditorShareMenu(android.content.Context context,
                                              java.lang.String accessToken,
                                              java.lang.String value,
                                              android.os.Handler handler)

      This method is used to enable/disable showing menu option on text selection in AndroidHomeMode.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `value` - String true/false. This by default set to true in Android home mode and false in EloView mode.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_EDITOR_SHOW_OPTION`
        `Consts.GENERIC_ERROR`

    - #### setWebViewHardwareInterface

          public void setWebViewHardwareInterface(android.content.Context context,
                                                  java.lang.String accessToken,
                                                  java.lang.String value,
                                                  android.os.Handler handler)

      This method is used to enable/disable Hardware/System access from WebView via JavaScript Interface.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `value` - String true/false
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_SET_WEBVIEW_INTERFACE_OPTION`
        `Consts.GENERIC_ERROR`

    - #### enableStarHardwareInterface

          public void enableStarHardwareInterface(android.content.Context context,
                                                  java.lang.String accessToken,
                                                  java.lang.String value,
                                                  android.os.Handler handler)

      This method is used to enable/disable Star hardware access from WebView via JavaScript Interface.
      Parameters:
        `context` - Context
        `accessToken` - Offline Token
        `value` - String true/false
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_ENABLE_STAR_HARDWARE_INTERFACE`
        `Consts.GENERIC_ERROR`

    - #### unregisterSystemAPIListener

          public void unregisterSystemAPIListener(android.content.Context context)

      This method is used to unregister the broadcast receiver registered while using any of the System APIs.
      Please make sure to call this in the "onPause" and "onDestroy" methods in your activity Lifecycle if you made use of any of the System APIs. This ensures the receiver is not leaked.
      Parameters:
        `context` - Context in which the system APIs were used

    - #### setDeviceOwner

          public void setDeviceOwner(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.String packageName,
                                     java.lang.String className,
                                     android.os.Handler handler)
                              throws java.lang.NullPointerException

      Function will set a component as device owner
      This function is asynchronous. handler will be called for return data.
      Please note that use of this API may interfere with EloView and standard device functionality.
      Parameters:
        `context` - context
        `accessToken` - (online token or offline jwt token)
        `packageName` - device owner package name
        `className` - canonical class name of class which extending device admin receiver
        `handler` - use for callback of operation to receive the following messages

        `AccountManager.TOKEN_VERIFY_FAIL`
        `DEVICE_OWNER_STATUS`
        `ERROR_DEVICE_OWNER_STATUS`

      Throws:
        `java.lang.NullPointerException` - if NonNull parameters are empty or null

    - #### getDeviceOwnerStatus

          public void getDeviceOwnerStatus(android.content.Context context,
                                           java.lang.String accessToken,
                                           android.os.Handler handler)
                                    throws java.lang.Exception

      Function will return current device owner package name when the device owner is set through the SDK.
      Parameters:
        `context` - context
        `accessToken` - An offline JWT token
        `handler` - A handler to receive the following callback messages

        `AccountManager.TOKEN_VERIFY_FAIL`
        `RESPONSE_GET_DEVICE_OWNER_INFO`

      Throws:
        `java.lang.Exception`

    - #### removeDeviceOwner

          public boolean removeDeviceOwner(android.content.Context context,
                                           java.lang.String packageName)
                                    throws java.lang.SecurityException

      Function will remove the ownership of device owner package Note : This function can only be called by the device owner in order to remove package as device owner.
      Parameters:
        `context` - context
        `packageName` - device owner package name
      Throws:
        `java.lang.SecurityException` - if the caller does not own the current device owner component.

    - #### setScreenWakeUp

          public void setScreenWakeUp(android.content.Context context,
                                      java.lang.String accessToken,
                                      long delay,
                                      android.os.Handler handler)

      This method is used to wake up the screen if it's asleep. This API can be used to wakeup the screen after a particular
      delay. So for example you can set your device to sleep after a particular amount of idle time using `setBackLightTimeout`
      and set a wakeup time again using this API.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - online token or offline JWT Token
        `delay` - This parameter is a long integer value describing the number of milliseconds after which to wake up the screen. For e.g. 15 seconds = 15*1000. and 30 minute = 30*60*1000 and 8 hours = 8*60*60*1000.
        `handler` - A handler to receive one of the following callback messages:

        `SCREEN_WAKE_UP`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### wakeupScreen

          public void wakeupScreen(android.content.Context context,
                                   java.lang.String accessToken)

    - #### backlightTurnOn

          public void backlightTurnOn(android.content.Context context,
                                      java.lang.String accessToken,
                                      android.os.Handler handler)

      This method is used to set the device backlight Turn ON.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - online token or offline JWT Token

    - #### backlightTurnOff

          public void backlightTurnOff(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler)

      This method is used to set the device backlight Turn OFF.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - online token or offline JWT Token

    - #### setBacklightTimeOut

          public void setBacklightTimeOut(android.content.Context context,
                                          java.lang.String accessToken,
                                          int timeout,
                                          android.os.Handler handler)

      This method is used to set the backlight timeout. Timeout can be from 1 second to 30 minutes, or Never. These features are currently geared towards 1.0 i-Series units only.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `timeout` - This parameter is an integer value describing the number of milliseconds till timeout. Use a value of 0 is for "never" setting the backlight off. For e.g. 15 seconds = 15*1000. and 30 minute = 30*60*1000.
        `handler` - A handler to receive one of the following callback messages:

        `BACKLIGHT_TIMEOUT`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### getBacklightTimeOut

          public void getBacklightTimeOut(android.content.Context context,
                                          java.lang.String accessToken,
                                          android.os.Handler handler)

      This method is used to get the currently set back-light timeout.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `handler` - A handler to receive one of the following callback messages:

        `BACKLIGHT_TIMEOUT`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setTimeZone

          public void setTimeZone(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.String timezone,
                                  android.os.Handler handler)

      This method is used to set the timezone on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `timezone` - A Standard TimeZone ID. You can get available TimeZone IDs using android.icu.util.TimeZone.getAvailableIDs()
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_TIMEZONE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### getTimeZone

          public void getTimeZone(android.content.Context context,
                                  java.lang.String accessToken,
                                  android.os.Handler handler)

      This method is used to get the timezone set on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `handler` - A handler to receive one of the following callback messages:

        `TIMEZONE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### getLanguage

          public void getLanguage(android.content.Context context,
                                  java.lang.String accessToken,
                                  android.os.Handler handler)

      This method is used to get the language set on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `handler` - A handler to receive one of the following callback messages:

        `LOCALE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setLanguage

          public void setLanguage(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.String locale,
                                  android.os.Handler handler,
                                  boolean rebootReq)

      This method is used to set the language on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `locale` - A Standard language code.
        `rebootReq` - Set this to 'true' to immediately reboot the device. Set this to 'false' to prevent the device from rebooting. If set to 'false' the user needs to take care of rebooting the device at a later time for language changes to take into effect.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_LOCALE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setLanguage

          public void setLanguage(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.String locale,
                                  android.os.Handler handler)

      This method is used to set the language on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `locale` - A Standard language code.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_LOCALE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setDateTime

          public void setDateTime(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.Long epoch,
                                  android.os.Handler handler)

      This method is used to set the date and time on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Token used to verify security
        `epoch` - Input date and time in epoch time. An epoch is the number of milliseconds since January 1, 1970. Refer to the test application code to see how to get the epoch time.
        `handler` - A handler to receive callback messages:

    - #### setNTPPollInterval

          public void setNTPPollInterval(android.content.Context context,
                                         java.lang.String accessToken,
                                         java.lang.String interval,
                                         java.lang.Boolean rebootRequired,
                                         android.os.Handler handler)

      This method is used to set NTP Client Polling Interval for the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Token used to verify security
        `interval` - Interval to poll in milliseconds. The minimum interval is 15 minutes (900000 ms)
        `handler` - A handler to receive callback messages:

    - #### getNTPPollInterval

          public void getNTPPollInterval(android.content.Context context,
                                         java.lang.String accessToken,
                                         android.os.Handler handler)

      This method is used to get the NTP Poll Interval set on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `handler` - A handler to receive one of the following callback messages:

        `NTP_POLL_INTERVAL_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setAutoDateTime

          public void setAutoDateTime(android.content.Context context,
                                      java.lang.String accessToken,
                                      boolean AutoDateTime,
                                      android.os.Handler handler)

      This method is used to enable/disable Setting Automatic Date and Time from the network on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token
        `AutoDateTime` - true for enabling automatic date/time and false for disabling automatic date/time.
        `handler` - A handler to receive callback messages:

    - #### setTimeFormat

          public void setTimeFormat(android.content.Context context,
                                    java.lang.String accessToken,
                                    boolean TimeFormat_24,
                                    android.os.Handler handler)

      This method is used to set time format
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Token used to verify security
        `TimeFormat_24` - Input true/false to enable/disable to set 24/12 hour format
        `handler` - A handler to receive callback messages:

    - #### setEloNetworkConf

          public void setEloNetworkConf(android.content.Context ctx,
                                        java.lang.String accessToken,
                                        android.net.Uri CsvURL,
                                        android.os.Handler handler)

      This method is used to set the Network configurations for wifi.
      Parameters:
        `ctx` - A context object of the calling Class (Activity/Service).
        `accessToken` - Token used to verify security
        `CsvURL` - Csv file input where user has set the required network configurations for connection
        `handler` - A handler to receive callback messages:

    - #### enablePowerButton

          public void enablePowerButton(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler)

      This method is used to Enable the Power button.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `POWER_BUTTON_RESPONSE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### disablePowerButton

          public void disablePowerButton(android.content.Context context,
                                         java.lang.String accessToken,
                                         android.os.Handler handler)

      This method is used to Disable the Power button.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `POWER_BUTTON_RESPONSE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### enableHomeButton

          public void enableHomeButton(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler)

      This method is used to Enable the Home button.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `HOME_BUTTON_RESPONSE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### disableHomeButton

          public void disableHomeButton(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler)

      This method is used to Disable the Home button.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `HOME_BUTTON_RESPONSE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### enableVPShowMore

          public void enableVPShowMore(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler)

      This method is used to enable/disable show more option in volume panel.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `VP_SHOW_MORE_RESPONSE_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### disableVPShowMore

          public void disableVPShowMore(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler)

    - #### enableTextEditorAssistMenu

          public void enableTextEditorAssistMenu(android.content.Context context,
                                                 java.lang.String accessToken,
                                                 android.os.Handler handler)

      This method is used to enable/disable the Assist Menu in Text Editor
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - Offline Token
        `handler` - A handler to receive one of the following callback messages:

        `TEXT_EDIT_ASSIST_MENU`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### disableTextEditorAssistMenu

          public void disableTextEditorAssistMenu(android.content.Context context,
                                                  java.lang.String accessToken,
                                                  android.os.Handler handler)

    - #### setLockScreenPassword

          public void setLockScreenPassword(android.content.Context context,
                                            java.lang.String accessToken,
                                            java.lang.String newPassword,
                                            boolean autoUnlock,
                                            android.os.Handler handler)

      API used to apply the screen lock Password for the First Time only.
      Parameters:
        `context` - Context
        `newPassword` - new password/PIN to be set
        `autoUnlock` - true: On reboot device will auto unlock passcode screen
        false: On reboot device will show passcode screen
        `handler` - A handler to receive one of the following callback messages:

        `PASSWORD_LOCK_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### setLockScreenPin

          public void setLockScreenPin(android.content.Context context,
                                       java.lang.String accessToken,
                                       java.lang.String newPin,
                                       boolean autoUnlock,
                                       android.os.Handler handler)

      API used to apply the screen lock Pin for the First Time only.
      Parameters:
        `context` - Context
        `newPin` - new PIN to be set
        `autoUnlock` - true: On reboot device will auto unlock Pin screen
        false: On reboot device will show pin screen
        `handler` - A handler to receive one of the following callback messages:

        `PIN_LOCK_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### changeLockScreenPassword

          public void changeLockScreenPassword(android.content.Context context,
                                               java.lang.String accessToken,
                                               java.lang.String oldPassword,
                                               java.lang.String newPassword,
                                               boolean autoUnlock,
                                               android.os.Handler handler)

      API used to apply the screen lock Password.
      Parameters:
        `context` - Context
        `accessToken` - offline jwt token or online token
        `oldPassword` - old password/PIN already set
        `newPassword` - new password/PIN to be set
        `autoUnlock` - true: On reboot device will auto unlock passcode screen
        false: On reboot device will show passcode screen
        `handler` - A handler to receive one of the following callback messages:

        `PASSWORD_LOCK_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### changeLockScreenPin

          public void changeLockScreenPin(android.content.Context context,
                                          java.lang.String accessToken,
                                          java.lang.String oldPin,
                                          java.lang.String newPin,
                                          boolean autoUnlock,
                                          android.os.Handler handler)

      API used to change the screen lock Pin when screen lock pin is already set.
      Parameters:
        `context` - Context
        `oldPin` - The pin currently set on the device
        `newPin` - new PIN to be set
        `autoUnlock` - true: On reboot device will auto unlock Pin screen
        false: On reboot device will show pin screen
        `handler` - A handler to receive one of the following callback messages:

        `PIN_LOCK_CODE`
        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

    - #### startActivityFromForegroundService

          public void startActivityFromForegroundService(android.content.Context context,
                                                         java.lang.String accessToken,
                                                         android.content.Intent activityIntent,
                                                         android.app.Service foregroundService)

      API used to create, show a notification and start an activity from a foreground service. This method must be called from a foreground service. Notification is created with default text "ELo SDK Foreground service notification".
      Parameters:
        `context` - Context
        `accessToken` - online or offline jwt token
        `activityIntent` - an intent created with the name of the activity to launch
        `foregroundService` - An instance of the foreground service class from which this method is called

    - #### setVolumeLevel

          public void setVolumeLevel(android.content.Context context,
                                     java.lang.String accessToken,
                                     android.os.Handler handler,
                                     java.lang.String volumeType,
                                     int value)

      This method is used to set the volume for "Alarm", "Call", "Media", "Notification" or "All"
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

        `volumeType` - volume type ("Alarm", "Call", "Media", "Notification" or "All")
        `value` - int value (0-100)

    - #### setCopyPasteMode

          public void setCopyPasteMode(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler,
                                       java.lang.String copyPasteMode)

      This method is used to enable/disable Copy Paste functionality of a device
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - AccessToken String
        `handler` -
        `copyPasteMode` - :(enable/disable)

    - #### setVirtualKeyBoard

          public void setVirtualKeyBoard(android.content.Context context,
                                         java.lang.String accessToken,
                                         android.os.Handler handler,
                                         java.lang.String virtualKeyboard)

    - #### enableEloLogging

          public void enableEloLogging(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler,
                                       java.lang.Boolean isSetEnable)

      This method is used to enable/disable Elo logging functionality.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

        `isSetEnable` - Set to true to enable logging and to false to disable logging.

    - #### customPortAdb

          public void customPortAdb(android.content.Context context,
                                    java.lang.String accessToken,
                                    android.os.Handler handler,
                                    java.lang.String portNumber)

      This method is used to Set Custom ADB TCP port
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `portNumber` - The chosen port number. Port numbers should be odd numbers in the range of 5555 to 5585.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_CUSTOM_PORT_ADB`

    - #### enableAdb

          public void enableAdb(android.content.Context context,
                                java.lang.String accessToken,
                                android.os.Handler handler)

      This method is used to Enable ADB
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_ENABLE_ADB`

    - #### disableAdb

          public void disableAdb(android.content.Context context,
                                 java.lang.String accessToken,
                                 android.os.Handler handler)

      This method is used to Disable ADB
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_DISABLE_ADB`

    - #### toggleDarkMode

          public void toggleDarkMode(android.content.Context context,
                                     java.lang.String accessToken,
                                     android.os.Handler handler)

      This method is used to toggle the status of dark theme on the device.
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_SET_DARK_THEME`

    - #### setNotificationStatus

          public void setNotificationStatus(android.content.Context context,
                                            java.lang.String accessToken,
                                            android.os.Handler handler,
                                            boolean status)

      This method is used to enable/disable Notifcation with statusbar
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `AccountManager.TOKEN_VERIFY_FAIL`
        `Consts.GENERIC_ERROR`

        `status` - Set to true to disable notifications and to false to enable notifications.

    - #### setLockStatusBar

          public void setLockStatusBar(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler,
                                       boolean status)

      This method is used to Enable / Disable Status Bar Swipe Lock
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An authentication token received from the Elo servers.
        `status` - The status
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_STATUSBAR_SWIPE_LOCK`

    - #### setHotspotAccessibility

          public void setHotspotAccessibility(android.content.Context context,
                                              java.lang.String accessToken,
                                              android.os.Handler handler,
                                              boolean status)

      This method is used to Enable Disable Hotspot accessibility
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An authentication token received from the Elo servers.
        `status` - The status
        `handler` - A handler to receive one of the following callback messages:

    - #### setWifiScanning

          public void setWifiScanning(android.content.Context context,
                                      java.lang.String accessToken,
                                      android.os.Handler handler,
                                      boolean status)

    - #### setBluetoothScanning

          public void setBluetoothScanning(android.content.Context context,
                                           java.lang.String accessToken,
                                           android.os.Handler handler,
                                           boolean status)

    - #### setIMEPolicySecondaryDisplay

          public void setIMEPolicySecondaryDisplay(android.content.Context context,
                                                   java.lang.String accessToken,
                                                   android.os.Handler handler,
                                                   boolean status)

    - #### isM60Device

          public boolean isM60Device()

    - #### isM50Device

          public boolean isM50Device()

    - #### isM100Device

          public boolean isM100Device()

    - #### is7PayDevice

          public boolean is7PayDevice()

    - #### spFirmwareUpgrade

          public boolean spFirmwareUpgrade(android.content.Context context,
                                           java.lang.String accessToken,
                                           android.os.Handler handler)

      This method is used to upgrade the firmware of the secure processor on M60 payment devices First add QE1000_new.uld (firmware file) needs to be stored at /sdcard/Download/ folder
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_SECURE_PROCESSOR_FIRMWARE_UPGRADE`

    - #### setStickyEloviewMode

          public void setStickyEloviewMode(android.content.Context context,
                                           java.lang.String accessToken,
                                           boolean stickyMode,
                                           android.os.Handler handler)

      This method is used to set sticky EloView boot mode
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_STICKY_BOOT_MODE`

        `stickyMode` - "true" to enable sticky EloView boot mode and "false" to disable it

    - #### getStickyEloviewMode

          public void getStickyEloviewMode(android.content.Context context,
                                           java.lang.String accessToken,
                                           android.os.Handler handler)

      This method is used to get status of sticky EloView boot mode
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_STICKY_BOOT_MODE`

    - #### enableRecentBtn

          public void enableRecentBtn(android.content.Context context,
                                      java.lang.String accessToken,
                                      android.os.Handler handler)

      This method is used to Enable Recent Button
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_ENABLE_RECENT_BUTTON`

    - #### disableRecentBtn

          public void disableRecentBtn(android.content.Context context,
                                       java.lang.String accessToken,
                                       android.os.Handler handler)

      This method is used to Disable Recent Button
      Parameters:
        `context` - A context object of the calling Class (Activity/Service).
        `accessToken` - An offline JWT token.
        `handler` - A handler to receive one of the following callback messages:

        `RESPONSE_DISABLE_RECENT_BUTTON`

    - #### changeFirmwareStatus

          public boolean changeFirmwareStatus(android.content.Context context,
                                              java.lang.String accessToken,
                                              android.os.Handler handler,
                                              boolean status)

      This method is used to lock or unlock the secure processor firmware update
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_SET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `status` - "True" to lock firmware upgrade and "False" to unlock

    - #### getSpFirmwareStatus

          public boolean getSpFirmwareStatus(android.content.Context context,
                                             java.lang.String accessToken,
                                             android.os.Handler handler)

      This method is used to get status of secure processor firmware (true - locked, false - unlocked)
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

    - #### ShowUsbPortInfo

          public void ShowUsbPortInfo(android.content.Context ctx,
                                      java.lang.String accessToken,
                                      android.os.Handler handler)

      This method is used to show to Usb Port Information
      Parameters:
        `ctx` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

    - #### changeAppMode

          public void changeAppMode(android.content.Context context,
                                    java.lang.String accessToken,
                                    android.os.Handler handler,
                                    java.lang.String status)

      This method is used to change app mode (Enable - multi app mode, Disable - single app mode)
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `status` - "Enable" to multi app mode and "Disable" to single app mode

    - #### setBluetooth

          public void setBluetooth(android.content.Context context,
                                   java.lang.String accessToken,
                                   java.lang.Boolean bluetoothState,
                                   android.os.Handler handler)

      This method is used to Enable/Disable bluetooth
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `bluetoothState` - "Enable" to Enable Bluetooth and "Disable" to Disable Bluetooth

    - #### setMagnifyingMode

          public void setMagnifyingMode(android.content.Context context,
                                        java.lang.String accessToken,
                                        boolean magModeState,
                                        android.os.Handler handler)

      This method is used to Enable/Disable Magnifying Mode
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `magModeState` - "Enable" to Enable Magnifying Mode and "Disable" to Disable Magnifying Mode

    - #### setAudioDevice

          public void setAudioDevice(android.content.Context context,
                                     java.lang.String accessToken,
                                     java.lang.Boolean externalSpeakerState,
                                     android.os.Handler handler)

      This method is used to select Internal/External Speaker.
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `externalSpeakerState` - "1" for External Speaker and "0" for Internal speaker.

    - #### setShowTaps

          public void setShowTaps(android.content.Context context,
                                  java.lang.String accessToken,
                                  java.lang.Boolean showTapsState,
                                  android.os.Handler handler)

      This method is used to Enable/Disable Show Taps
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `ACTION_GET_SECURE_PROCESSOR_FIRMWARE_STATUS`

        `bluetoothState` - "Enable" to Enable Show Taps and "Disable" to Disable Show Taps

    - #### getSystemProperty

          public void getSystemProperty(android.content.Context context,
                                        java.lang.String accessToken,
                                        android.os.Handler handler,
                                        java.lang.String systemProperty)

      This method is used to query device System Properties
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `handler` - A handler to receive one of the following callback messages:

        `#ACTION_GET_SYSTEM_PROPERTY,`

        `systemProperty` - System Property key to query

    - #### verifyFileSignature

          public void verifyFileSignature(android.content.Context context,
                                          java.lang.String accessToken,
                                          java.lang.String absoluteFilePath,
                                          java.lang.String absoluteSha256Path,
                                          android.os.Handler handler)

      This method is used to verify signature of the file.
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `string` - accessToken
        `string` - absolute file path of original file to verify integrity
        `string` - absolute sha-256 path for checksum of file
        `handler` - A handler to receive the callback messages

    - #### getMD5Checksum

          public java.lang.String getMD5Checksum(android.content.Context context,
                                                 java.lang.String accessToken,
                                                 java.lang.String absoluteFilePath)

      This method is used to verify signature of the file.
      Parameters:
        `context` - A context object of the calling class (Activity/Service)
        `accessToken` - An Offline JWT Token
        `string` - accessToken
        `string` - absolute file path of original file to get last 10 digits of MD5